New Ticket     Tickets     Wiki     Browse Source     Timeline     Roadmap     Ticket Reports     Search

Ticket #30927 (closed defect: fixed)

Opened 3 years ago

Last modified 2 years ago

gimp2 @2.6.11_6+python27+x11 - X11 crash on Lion

Reported by: caius.cdv@… Owned by: jeremyhu@…
Priority: Normal Milestone:
Component: ports Version: 2.0.1
Keywords: Cc: devans@…, jeremyhu@…, suv-sf@…, macports@…, dtakahashi42@…, kurtjaeke@…, shawn12@…, luis.kornblueh@…, dr.adrian@…, elatllat@…, and.damore@…
Port: xorg-server

Description

I got a fresh installation of Lion 10.7.1, with X11 from the Lion distribution, and installed the latest Gimp port. Compilation and installation did not report any problem.

I start Gimp, open an image, and go to Colours -> Curves... As soon as the pointer moves over the Curves histogram X11 crashes.

From Terminal I get a couple of warning/errors, the first at launch and the second at the crash:

(gimp:1965): GLib-WARNING **: goption.c:2132: ignoring no-arg, optional-arg or filename flags (8) on option of type 0
gimp: Fatal IO error 35 (Resource temporarily unavailable) on X server /tmp/launch-ppvQHH/org.x:0.

(script-fu:2118): LibGimpBase-WARNING **: script-fu: gimp_wire_read(): error

Some information about the installed X11 from the bug report I sent to Apple:

Process:         X11.bin [2053]
Path:            /Applications/Utilities/X11.app/Contents/MacOS/X11.bin
Identifier:      org.x.X11
Version:         2.6.3 (2.6.3)
Build Info:      X11server-106003000000000~43
Code Type:       X86-64 (Native)
Parent Process:  Xquartz [2048]

Date/Time:       2011-08-22 12:08:04.890 +0200
OS Version:      Mac OS X 10.7.1 (11B26)
Report Version:  9

Interval Since Last Report:          5331 sec
Crashes Since Last Report:           7
Per-App Interval Since Last Report:  8870 sec
Per-App Crashes Since Last Report:   7
Anonymous UUID:                      3F527546-CC8F-473C-85C4-D16AA6D5495B

Crashed Thread:  2

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000000

VM Regions Near 0:
--> 
    __TEXT                 0000000105b46000-0000000105cdb000 [ 1620K] r-x/rwx SM=COW  /Applications/Utilities/X11.app/Contents/MacOS/X11.bin

Application Specific Information:
X.Org X Server 1.10.2 Build Date: 20110622
objc[2053]: garbage collection is OFF

I got the same crash on a machine running Leopard after the latest system upgrade (one week ago), but I don't have access to it anymore.

Please, let me know if you need more information.

Cheers, Claudio

Attachments

rootlessScreen.c.diff (606 bytes) - added by dtakahashi42@… 2 years ago.
xorg-server patch

Change History

comment:1 follow-up: ↓ 4 Changed 3 years ago by jmr@…

  • Cc devans@…, jeremyhu@… added

If it's X11 crashing then I don't think this can be considered a bug in gimp. Have you filed a radar?

comment:2 follow-up: ↓ 5 Changed 3 years ago by jeremyhu@…

  • Owner changed from macports-tickets@… to jeremyhu@…

You need to paste in the whole crash log. What you have attached is not at all useful.

comment:3 Changed 3 years ago by jeremyhu@…

Also, Leopard's X11 hasn't changed in over a year, so there was certainly no X11 content in the Leopard update you say last week.

comment:4 in reply to: ↑ 1 ; follow-up: ↓ 8 Changed 3 years ago by caius.cdv@…

Replying to jmr@…:

If it's X11 crashing then I don't think this can be considered a bug in gimp. Have you filed a radar?

I sent a bug report to Apple.

comment:5 in reply to: ↑ 2 Changed 3 years ago by caius.cdv@…

Replying to jeremyhu@…:

You need to paste in the whole crash log. What you have attached is not at all useful.

Is this OK?

Process:         X11.bin [515]
Path:            /Applications/Utilities/X11.app/Contents/MacOS/X11.bin
Identifier:      org.x.X11
Version:         2.6.3 (2.6.3)
Build Info:      X11server-106003000000000~43
Code Type:       X86-64 (Native)
Parent Process:  Xquartz [512]

Date/Time:       2011-08-23 14:04:21.962 +0200
OS Version:      Mac OS X 10.7.1 (11B26)
Report Version:  9

Crashed Thread:  2

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000000

VM Regions Near 0:
--> 
    __TEXT                 0000000105a9d000-0000000105c32000 [ 1620K] r-x/rwx SM=COW  /Applications/Utilities/X11.app/Contents/MacOS/X11.bin

Application Specific Information:
X.Org X Server 1.10.2 Build Date: 20110622
objc[515]: garbage collection is OFF

Thread 0:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff92f8b67a mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fff92f8ad71 mach_msg + 73
2   com.apple.CoreFoundation      	0x00007fff9439f29c __CFRunLoopServiceMachPort + 188
3   com.apple.CoreFoundation      	0x00007fff943a7a04 __CFRunLoopRun + 1204
4   com.apple.CoreFoundation      	0x00007fff943a7216 CFRunLoopRunSpecific + 230
5   com.apple.HIToolbox           	0x00007fff9484d4ff RunCurrentEventLoopInMode + 277
6   com.apple.HIToolbox           	0x00007fff94854c21 ReceiveNextEventCommon + 355
7   com.apple.HIToolbox           	0x00007fff94854aae BlockUntilNextEventMatchingListInMode + 62
8   com.apple.AppKit              	0x00007fff90c3b191 _DPSNextEvent + 659
9   com.apple.AppKit              	0x00007fff90c3aa95 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 135
10  com.apple.AppKit              	0x00007fff90c373d6 -[NSApplication run] + 463
11  X11.bin                       	0x0000000105aa620a X11ApplicationMain + 1258
12  X11.bin                       	0x0000000105aaef23 server_main + 172
13  X11.bin                       	0x0000000105aa01b8 do_start_x11_server + 307
14  X11.bin                       	0x0000000105aa057f _Xstart_x11_server + 245
15  X11.bin                       	0x0000000105aa0459 mach_startup_server + 146
16  libsystem_kernel.dylib        	0x00007fff92f8b28b mach_msg_server + 496
17  X11.bin                       	0x0000000105a9ffdb main + 1636
18  X11.bin                       	0x0000000105a9f26c start + 52

Thread 1:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x00007fff92f8d7e6 kevent + 10
1   libdispatch.dylib             	0x00007fff8baa460e _dispatch_mgr_invoke + 923
2   libdispatch.dylib             	0x00007fff8baa319e _dispatch_mgr_thread + 54

Thread 2 Crashed:
0   X11.bin                       	0x0000000105abbad4 RootlessComposite + 202
1   X11.bin                       	0x0000000105b0a112 CompositePicture + 631
2   X11.bin                       	0x0000000105b0d8bd ProcRenderComposite + 388
3   X11.bin                       	0x0000000105b617f9 Dispatch + 837
4   X11.bin                       	0x0000000105b529a7 dix_main + 198
5   X11.bin                       	0x0000000105aaef80 server_thread + 43
6   libsystem_c.dylib             	0x00007fff8ca768bf _pthread_start + 335
7   libsystem_c.dylib             	0x00007fff8ca79b75 thread_start + 13

Thread 3:
0   libsystem_kernel.dylib        	0x00007fff92f8b67a mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fff92f8ad71 mach_msg + 73
2   com.apple.CoreFoundation      	0x00007fff9439f29c __CFRunLoopServiceMachPort + 188
3   com.apple.CoreFoundation      	0x00007fff943a7a04 __CFRunLoopRun + 1204
4   com.apple.CoreFoundation      	0x00007fff943a7216 CFRunLoopRunSpecific + 230
5   com.apple.CoreFoundation      	0x00007fff943b6f2f CFRunLoopRun + 95
6   X11.bin                       	0x0000000105ac1392 xpbproxy_run + 586
7   X11.bin                       	0x0000000105aa623a xpbproxy_x_thread + 9
8   libsystem_c.dylib             	0x00007fff8ca768bf _pthread_start + 335
9   libsystem_c.dylib             	0x00007fff8ca79b75 thread_start + 13

Thread 4:
0   libsystem_kernel.dylib        	0x00007fff92f8cbca __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8ca7a274 _pthread_cond_wait + 840
2   X11.bin                       	0x0000000105aab6f3 DarwinProcessFDAdditionQueue_thread + 183
3   libsystem_c.dylib             	0x00007fff8ca768bf _pthread_start + 335
4   libsystem_c.dylib             	0x00007fff8ca79b75 thread_start + 13

Thread 5:: com.apple.CFSocket.private
0   libsystem_kernel.dylib        	0x00007fff92f8cdf2 __select + 10
1   com.apple.CoreFoundation      	0x00007fff943f066b __CFSocketManager + 1355
2   libsystem_c.dylib             	0x00007fff8ca768bf _pthread_start + 335
3   libsystem_c.dylib             	0x00007fff8ca79b75 thread_start + 13

Thread 6:
0   libsystem_kernel.dylib        	0x00007fff92f8cbca __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8ca7a274 _pthread_cond_wait + 840
2   libXplugin.1.dylib            	0x0000000105ec1dd2 _xp_async_dequeue + 51
3   libXplugin.1.dylib            	0x0000000105ec1d7f _xp_async_thread + 87
4   libsystem_c.dylib             	0x00007fff8ca768bf _pthread_start + 335
5   libsystem_c.dylib             	0x00007fff8ca79b75 thread_start + 13

Thread 2 crashed with X86 Thread State (64-bit):
  rax: 0x00007f93a9636400  rbx: 0x000000010a0bb000  rcx: 0x00007f93a94bfd70  rdx: 0x00007f93a94bfec0
  rdi: 0x00007f93a963aa20  rsi: 0x00007f93a948f980  rbp: 0x00000001089b2d00  rsp: 0x00000001089b2c60
   r8: 0x0000000000000000   r9: 0x0000000000000000  r10: 0x0000000000000000  r11: 0x0000000000000000
  r12: 0x00007f93a948f980  r13: 0x00007f93a9636400  r14: 0x0000000000000000  r15: 0x00007f93a94bfec0
  rip: 0x0000000105abbad4  rfl: 0x0000000000010206  cr2: 0x0000000000000000
Logical CPU: 0

Binary Images:
       0x105a9d000 -        0x105c31fff +X11.bin (??? - ???) <0D6C2F52-CAF0-36B9-9322-BEB73FC53829> /Applications/Utilities/X11.app/Contents/MacOS/X11.bin
       0x105cbe000 -        0x105cbffff +libAppleWM.7.dylib (8.0.0 - compatibility 8.0.0) <EEFCCC2E-929D-370E-B07A-19361DDAE615> /usr/X11/lib/libAppleWM.7.dylib
       0x105cca000 -        0x105ccdfff +libXfixes.3.dylib (5.0.0 - compatibility 5.0.0) <43E4DE46-CDC4-3C52-A702-0387A9188A5D> /usr/X11/lib/libXfixes.3.dylib
       0x105cd7000 -        0x105de4fff +libX11.6.dylib (10.0.0 - compatibility 10.0.0) <A4432829-C30A-348C-87D7-43236C7A09C4> /usr/X11/lib/libX11.6.dylib
       0x105e0c000 -        0x105e61fff +libpixman-1.0.dylib (21.2.0 - compatibility 21.0.0) <2DA10D90-A050-37EE-AB2D-61DCD8F70466> /usr/X11/lib/libpixman-1.0.dylib
       0x105e74000 -        0x105ea2fff +libXfont.1.dylib (6.1.0 - compatibility 6.0.0) <974015CC-B244-3DEF-A768-135A498FF8FC> /usr/X11/lib/libXfont.1.dylib
       0x105eb2000 -        0x105eb3fff +libXau.6.dylib (7.0.0 - compatibility 7.0.0) <CF27D15A-DF5B-3933-80E6-1725E55B97D8> /usr/X11/lib/libXau.6.dylib
       0x105eb7000 -        0x105ebaff7 +libXdmcp.6.dylib (7.0.0 - compatibility 7.0.0) <72C92DD0-E385-3632-9970-3C8D9B925B96> /usr/X11/lib/libXdmcp.6.dylib
       0x105ec1000 -        0x105ecdfff  libXplugin.1.dylib (??? - ???) <16BE5152-6A62-3663-8D8D-DAFAEEE09EE2> /usr/lib/libXplugin.1.dylib
       0x105ed8000 -        0x105ee4fff +libXext.6.dylib (11.0.0 - compatibility 11.0.0) <CF2CFA94-581A-35A4-8EBE-B6B971A9BBD0> /usr/X11/lib/libXext.6.dylib
       0x105eeb000 -        0x105efcfff +libxcb.1.dylib (3.0.0 - compatibility 3.0.0) <692CC699-B63A-393A-B51D-8CDB08A6813B> /usr/X11/lib/libxcb.1.dylib
       0x105f0f000 -        0x105f84ff7 +libfreetype.6.dylib (13.2.0 - compatibility 13.0.0) <69C05E8A-2E7A-3FBF-B667-187CD4BBDAD6> /usr/X11/lib/libfreetype.6.dylib
       0x105fa2000 -        0x105fa5fff +libfontenc.1.dylib (2.0.0 - compatibility 2.0.0) <B130AA20-1363-35DB-9331-837B0DB4F4BB> /usr/X11/lib/libfontenc.1.dylib
       0x1071db000 -        0x107209ff7  GLRendererFloat (??? - ???) <AB59F7EA-62B1-3AA6-B940-47C0B6BC6DD9> /System/Library/Frameworks/OpenGL.framework/Resources/GLRendererFloat.bundle/GLRendererFloat
       0x108e9f000 -        0x109037ff7  GLEngine (??? - ???) <EE6CCAE3-1CA1-3C5E-A83C-BB56AB413AB3> /System/Library/Frameworks/OpenGL.framework/Resources/GLEngine.bundle/GLEngine
       0x10906a000 -        0x109163fff  libGLProgrammability.dylib (??? - ???) <7B17211F-D04C-3916-8176-1930C24BA421> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
       0x109189000 -        0x10947efe7  com.apple.ATIRadeonX2000GLDriver (7.4.10 - 7.0.4) <6E6D2FB7-6430-3A73-B522-AB880C06F905> /System/Library/Extensions/ATIRadeonX2000GLDriver.bundle/Contents/MacOS/ATIRadeonX2000GLDriver
    0x7fff6569d000 -     0x7fff656d1ac7  dyld (195.5 - ???) <4A6E2B28-C7A2-3528-ADB7-4076B9836041> /usr/lib/dyld
    0x7fff8b73d000 -     0x7fff8b73ffff  com.apple.TrustEvaluationAgent (2.0 - 1) <80AFB5D8-5CC4-3A38-83B9-A7DF5820031A> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
    0x7fff8b74f000 -     0x7fff8b7b6ff7  com.apple.audio.CoreAudio (4.0.0 - 4.0.0) <0B715012-C8E8-386D-9C6C-90F72AE62A2F> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff8b802000 -     0x7fff8b808fff  libGFXShared.dylib (??? - ???) <DE6987C5-81AC-3AE6-84F0-138C9636D412> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fff8b9e9000 -     0x7fff8b9eaff7  libsystem_blocks.dylib (53.0.0 - compatibility 1.0.0) <8BCA214A-8992-34B2-A8B9-B74DEACA1869> /usr/lib/system/libsystem_blocks.dylib
    0x7fff8b9fa000 -     0x7fff8ba0dff7  libCRFSuite.dylib (??? - ???) <034D4DAA-63F0-35E4-BCEF-338DD7A453DD> /usr/lib/libCRFSuite.dylib
    0x7fff8baa1000 -     0x7fff8baaffff  libdispatch.dylib (187.5.0 - compatibility 1.0.0) <698F8EFB-7075-3111-94E3-891156C88172> /usr/lib/system/libdispatch.dylib
    0x7fff8baf5000 -     0x7fff8bb57ff7  com.apple.coreui (0.3 - 162) <A752F9D0-1CAE-340F-B2D2-95EEF242B301> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff8bd57000 -     0x7fff8bda9ff7  libGLU.dylib (??? - ???) <C3CE8BA0-470F-3BCE-B17C-A31E70E035F2> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fff8bdb7000 -     0x7fff8bdf3fff  libsystem_info.dylib (??? - ???) <BC49C624-1DAB-3A37-890F-6EFD46538424> /usr/lib/system/libsystem_info.dylib
    0x7fff8bdf4000 -     0x7fff8bebbff7  com.apple.ColorSync (4.7.0 - 4.7.0) <A29897D7-4B63-3BBB-B66C-710BE9CC01D8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff8bebe000 -     0x7fff8bef1fff  com.apple.GSS (2.1 - 2.0) <A150154E-40D3-345B-A92D-3A023A55AC52> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff8c07d000 -     0x7fff8c088fff  com.apple.CommonAuth (2.1 - 2.0) <49949286-61FB-3A7F-BF49-0EBA45E2664E> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fff8c089000 -     0x7fff8c08efff  libcache.dylib (47.0.0 - compatibility 1.0.0) <B7757E2E-5A7D-362E-AB71-785FE79E1527> /usr/lib/system/libcache.dylib
    0x7fff8c104000 -     0x7fff8c1a6ff7  com.apple.securityfoundation (5.0 - 55005) <0D59908C-A61B-389E-AF37-741ACBBA6A94> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff8c1a7000 -     0x7fff8c2aafff  libsqlite3.dylib (9.6.0 - compatibility 9.0.0) <ED5E84C6-646D-3B70-81D6-7AF957BEB217> /usr/lib/libsqlite3.dylib
    0x7fff8c2ad000 -     0x7fff8c2aefff  libsystem_sandbox.dylib (??? - ???) <8D14139B-B671-35F4-9E5A-023B4C523C38> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff8c2af000 -     0x7fff8c3b4ff7  libFontParser.dylib (??? - ???) <22AADE96-E54D-3918-9DFA-1967F8B21E54> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff8ca21000 -     0x7fff8ca27fff  libmacho.dylib (800.0.0 - compatibility 1.0.0) <D86F63EC-D2BD-32E0-8955-08B5EAFAD2CC> /usr/lib/system/libmacho.dylib
    0x7fff8ca28000 -     0x7fff8cb05fef  libsystem_c.dylib (763.11.0 - compatibility 1.0.0) <1D61CA57-3C6D-30F7-89CB-CC6F0787B1DC> /usr/lib/system/libsystem_c.dylib
    0x7fff8cb06000 -     0x7fff8cb1cfff  libGL.dylib (??? - ???) <22064411-0A62-373C-828B-0AA2BA2A8D34> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fff8cd98000 -     0x7fff8cdaffff  com.apple.CFOpenDirectory (10.7 - 144) <9709423E-8484-3B26-AAE8-EF58D1B8FB3F> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff8ce04000 -     0x7fff8ce20ff7  com.apple.GenerationalStorage (1.0 - 124) <C0290CA0-A2A0-3280-9442-9D783883D638> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
    0x7fff8d18a000 -     0x7fff8d26edef  libobjc.A.dylib (228.0.0 - compatibility 1.0.0) <C5F2392D-B481-3A9D-91BE-3D039FFF4DEC> /usr/lib/libobjc.A.dylib
    0x7fff8d277000 -     0x7fff8d29dff7  com.apple.framework.familycontrols (3.0 - 300) <72FEA71A-5865-3875-97E9-3C8C96B7F7FA> /System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls
    0x7fff8d2b4000 -     0x7fff8d2f3ff7  libGLImage.dylib (??? - ???) <29F82AD9-45F0-3AC5-A4A4-B767EC555D82> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fff8d2f4000 -     0x7fff8d2f6fff  libCVMSPluginSupport.dylib (??? - ???) <2D21E6BE-CB20-3F76-8DCC-1CB0660A8A5B> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fff8d2f7000 -     0x7fff8d357fff  libvDSP.dylib (325.3.0 - compatibility 1.0.0) <74B62E70-4189-3022-8FC9-1182EA7C6E34> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff8d35a000 -     0x7fff8d3b1fff  libTIFF.dylib (??? - ???) <9E32B490-4C5B-3D96-AF27-9C085C606403> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff8d3b2000 -     0x7fff8d3daff7  com.apple.CoreVideo (1.7 - 70.0) <59D5B407-CCB6-3406-8C55-C1B0168D7DC2> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff8d51c000 -     0x7fff8d51cfff  com.apple.ApplicationServices (41 - 41) <03F3FA8F-8D2A-3AB6-A8E3-40B001116339> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff8d55c000 -     0x7fff8d6fbfff  com.apple.QuartzCore (1.7 - 269.0) <E0AFC745-4AC5-36E3-9827-E5344721071D> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff8d6fc000 -     0x7fff8d6fdfff  libDiagnosticMessagesClient.dylib (??? - ???) <3DCF577B-F126-302B-BCE2-4DB9A95B8598> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff8de96000 -     0x7fff8df2cff7  libvMisc.dylib (325.3.0 - compatibility 1.0.0) <AC5A384A-FA5A-3307-9CED-BD69E6F12A09> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff8df82000 -     0x7fff8dff7ff7  libc++.1.dylib (19.0.0 - compatibility 1.0.0) <C0EFFF1B-0FEB-3F99-BE54-506B35B555A9> /usr/lib/libc++.1.dylib
    0x7fff8dff8000 -     0x7fff8e003ff7  libc++abi.dylib (14.0.0 - compatibility 1.0.0) <8FF3D766-D678-36F6-84AC-423C878E6D14> /usr/lib/libc++abi.dylib
    0x7fff8e03a000 -     0x7fff8e05eff7  com.apple.Kerberos (1.0 - 1) <2FF2569B-F59A-371E-AF33-66297F512CB3> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff8e1c3000 -     0x7fff8e1c3fff  com.apple.audio.units.AudioUnit (1.7 - 1.7) <D75971EE-0D74-365A-8E52-46558EA49E87> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff8e1c4000 -     0x7fff8e1daff7  com.apple.ImageCapture (7.0 - 7.0) <69E6E2E1-777E-332E-8BCF-4F0611517DD0> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
    0x7fff8eb91000 -     0x7fff8eb94fff  libRadiance.dylib (??? - ???) <DCDA308D-4856-3631-B6D7-7A8B94169BC0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff8ebd1000 -     0x7fff8ed2aff7  com.apple.audio.toolbox.AudioToolbox (1.7 - 1.7) <296F10D0-A871-39C1-B8B2-9200AB12B5AF> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff8ee6e000 -     0x7fff8eedcfff  com.apple.CoreSymbolication (2.1 - 67) <194A355B-58C7-3B1E-A714-00F71ACCDB0A> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
    0x7fff8eedd000 -     0x7fff8f09efe7  com.apple.CoreData (103 - 358.4) <8D8ABA2E-0161-334D-A7C9-79E5297E188B> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff8f0da000 -     0x7fff8f0e0fff  com.apple.DiskArbitration (2.4 - 2.4) <5185FEA6-92CA-3CAA-8442-BD71DBC64AFD> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff8f527000 -     0x7fff8f527fff  com.apple.Accelerate.vecLib (3.7 - vecLib 3.7) <4CC14F7C-BCA7-3CAC-BEC9-B06576E5A15B> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff8f528000 -     0x7fff8f551fff  libJPEG.dylib (??? - ???) <3DBFEB41-4BF2-3502-872A-BB3738EE61B0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff8f552000 -     0x7fff8f591fff  com.apple.AE (527.6 - 527.6) <6F8DF9EF-3250-3B7F-8841-FCAD8E323954> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff8f5cd000 -     0x7fff8f66cfff  com.apple.LaunchServices (480.19 - 480.19) <41ED4C8B-C74B-34EA-A9BF-34DBA5F52307> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff8f6cc000 -     0x7fff8f770fef  com.apple.ink.framework (1.3.2 - 110) <F69DBD44-FEC8-3C14-8131-CC0245DBBD42> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fff8f7bb000 -     0x7fff8f7e6ff7  libxslt.1.dylib (3.24.0 - compatibility 3.0.0) <8051A3FC-7385-3EA9-9634-78FC616C3E94> /usr/lib/libxslt.1.dylib
    0x7fff8f7fa000 -     0x7fff8f819fff  libresolv.9.dylib (46.0.0 - compatibility 1.0.0) <33263568-E6F3-359C-A4FA-66AD1300F7D4> /usr/lib/libresolv.9.dylib
    0x7fff8f81a000 -     0x7fff8f89cfff  com.apple.Metadata (10.7.0 - 627.9) <F293A9A7-9790-3629-BE81-D19C158C5EA4> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff8fae0000 -     0x7fff8faeeff7  libkxld.dylib (??? - ???) <65BE345D-6618-3D1A-9E2B-255E629646AA> /usr/lib/system/libkxld.dylib
    0x7fff8fb12000 -     0x7fff8fb79fff  com.apple.Symbolication (1.2 - 87) <C8F38870-0C4E-3A7F-9B12-0E970DE92F24> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
    0x7fff8fb7a000 -     0x7fff8fb7dff7  com.apple.securityhi (4.0 - 1) <B37B8946-BBD4-36C1-ABC6-18EDBC573F03> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x7fff8ffb1000 -     0x7fff90114fff  com.apple.CFNetwork (520.0.13 - 520.0.13) <67E3BB43-2A22-3F5A-964E-391375B24CE0> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff90115000 -     0x7fff90157ff7  libcommonCrypto.dylib (55010.0.0 - compatibility 1.0.0) <A5B9778E-11C3-3F61-B740-1F2114E967FB> /usr/lib/system/libcommonCrypto.dylib
    0x7fff90158000 -     0x7fff90159fff  libunc.dylib (24.0.0 - compatibility 1.0.0) <C67B3B14-866C-314F-87FF-8025BEC2CAAC> /usr/lib/system/libunc.dylib
    0x7fff9015a000 -     0x7fff9020cfff  com.apple.CoreText (4.0.0 - ???) <D7BD85FD-277A-3A97-B1AD-5EE14215237E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff90547000 -     0x7fff905a1fff  com.apple.HIServices (1.9 - ???) <8791E8AA-C034-330D-B2BA-5141154C21CD> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff908f0000 -     0x7fff90944ff7  com.apple.ScalableUserInterface (1.0 - 1) <1873D7BE-2272-31A1-8F85-F70C4D706B3B> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/ScalableUserInterface.framework/Versions/A/ScalableUserInterface
    0x7fff90b1c000 -     0x7fff90c31fff  com.apple.DesktopServices (1.6.0 - 1.6.0) <208D40FC-8BBE-330F-B999-18771BEA6895> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x7fff90c32000 -     0x7fff9182afff  com.apple.AppKit (6.7 - 1138) <C8D2FDDA-B9D5-3948-A376-6B9B6F0596C6> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff91853000 -     0x7fff91c80fff  libLAPACK.dylib (??? - ???) <4F2E1055-2207-340B-BB45-E4F16171EE0D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff9241a000 -     0x7fff9241afff  com.apple.CoreServices (53 - 53) <5946A0A6-393D-3087-86A0-4FFF6A305CC0> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff9241b000 -     0x7fff92438fff  libPng.dylib (??? - ???) <75DA9F95-C2A1-3534-9F8B-14CFFDE2A290> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff92439000 -     0x7fff92460fff  com.apple.PerformanceAnalysis (1.10 - 10) <2A058167-292E-3C3A-B1F8-49813336E068> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
    0x7fff92461000 -     0x7fff924acfff  com.apple.SystemConfiguration (1.11 - 1.11) <0B02FEC4-C36E-32CB-8004-2214B6793AE8> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff924ad000 -     0x7fff924b1fff  libCGXType.A.dylib (600.0.0 - compatibility 64.0.0) <5EEAD17D-006C-3855-8093-C7A4A97EE0D0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
    0x7fff924b2000 -     0x7fff924f3fff  com.apple.QD (3.12 - ???) <4F3C5629-97C7-3E55-AF3C-ACC524929DA2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff924f4000 -     0x7fff92506ff7  libz.1.dylib (1.2.5 - compatibility 1.0.0) <30CBEF15-4978-3DED-8629-7109880A19D4> /usr/lib/libz.1.dylib
    0x7fff92552000 -     0x7fff9256fff7  com.apple.openscripting (1.3.3 - ???) <A64205E6-D3C5-3E12-B1A0-72243151AF7D> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x7fff92570000 -     0x7fff92575fff  libGIF.dylib (??? - ???) <21851808-BFD2-3141-8354-A419479726BF> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fff92576000 -     0x7fff92c449df  com.apple.CoreGraphics (1.600.0 - ???) <B3C42497-53F5-31BB-987E-D1E76746B0E4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff92c45000 -     0x7fff92c98fff  libFontRegistry.dylib (??? - ???) <8FE14D77-1286-3619-A02E-0AC1A622596E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff92c99000 -     0x7fff92c9dfff  libmathCommon.A.dylib (2026.0.0 - compatibility 1.0.0) <FF83AFF7-42B2-306E-90AF-D539C51A4542> /usr/lib/system/libmathCommon.A.dylib
    0x7fff92c9e000 -     0x7fff92f75fff  com.apple.security (7.0 - 55010) <2418B583-D3BD-3BC5-8B07-8289C8A5B43B> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff92f76000 -     0x7fff92f96fff  libsystem_kernel.dylib (1699.22.73 - compatibility 1.0.0) <69F2F501-72D8-3B3B-8357-F4418B3E1348> /usr/lib/system/libsystem_kernel.dylib
    0x7fff92f97000 -     0x7fff930d0fef  com.apple.vImage (5.0 - 5.0) <C45D2CBE-FA15-3D13-9E9D-A3BF57B84BBE> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff930d1000 -     0x7fff931d3ff7  libxml2.2.dylib (10.3.0 - compatibility 10.0.0) <D46F371D-6422-31B7-BCE0-D80713069E0E> /usr/lib/libxml2.2.dylib
    0x7fff931d4000 -     0x7fff93222ff7  libauto.dylib (??? - ???) <F0004B88-CA01-37D0-A77F-6651C4EC7D8E> /usr/lib/libauto.dylib
    0x7fff93223000 -     0x7fff93230fff  libCSync.A.dylib (600.0.0 - compatibility 64.0.0) <931F40EB-CA75-3A90-AC97-4DB8E210BC76> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
    0x7fff93241000 -     0x7fff93270fff  com.apple.DictionaryServices (1.2 - 158) <2CE51CD1-EE3D-3618-9507-E39A09C9BB8D> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff93780000 -     0x7fff937c3ff7  libRIP.A.dylib (600.0.0 - compatibility 64.0.0) <2B1571E1-8E87-364E-BC36-C9C9B5D3EAC4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
    0x7fff937cf000 -     0x7fff937d0fff  libdnsinfo.dylib (395.6.0 - compatibility 1.0.0) <718A135F-6349-354A-85D5-430B128EFD57> /usr/lib/system/libdnsinfo.dylib
    0x7fff937d1000 -     0x7fff938defff  libJP2.dylib (??? - ???) <D8257CEE-A1C3-394A-8193-6DB7C29A15A8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fff93a2d000 -     0x7fff93a44fff  com.apple.MultitouchSupport.framework (220.62 - 220.62) <7EF58A7E-CB97-335F-A025-4A0F00AEF896> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fff93a49000 -     0x7fff93a57fff  com.apple.NetAuth (1.0 - 3.0) <F384FFFD-70F6-3B1C-A886-F5B446E456E7> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff93acf000 -     0x7fff93ad5fff  IOSurface (??? - ???) <06FA3FDD-E6D5-391F-B60D-E98B169DAB1B> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff93ad6000 -     0x7fff93ad7ff7  libremovefile.dylib (21.0.0 - compatibility 1.0.0) <C6C49FB7-1892-32E4-86B5-25AD165131AA> /usr/lib/system/libremovefile.dylib
    0x7fff93ad8000 -     0x7fff93f7fff7  FaceCoreLight (1.4.2 - compatibility 1.0.0) <6F89E9A9-DEB6-32B5-8B50-3B97F5DB597D> /System/Library/PrivateFrameworks/FaceCoreLight.framework/Versions/A/FaceCoreLight
    0x7fff93f80000 -     0x7fff9408cfef  libcrypto.0.9.8.dylib (0.9.8 - compatibility 0.9.8) <3AD29F8D-E3BC-3F49-A438-2C8AAB71DC99> /usr/lib/libcrypto.0.9.8.dylib
    0x7fff9408d000 -     0x7fff9416dfff  com.apple.CoreServices.OSServices (478.25.1 - 478.25.1) <E7FD4DB7-7844-355A-83D0-C1F24BE71019> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff9416e000 -     0x7fff9416efff  com.apple.Cocoa (6.6 - ???) <021D4214-9C23-3CD8-AFB2-F331697A4508> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
    0x7fff941f1000 -     0x7fff942cfff7  com.apple.ImageIO.framework (3.1.0 - 3.1.0) <70228E69-063C-32FF-BBE7-FCCD9C5C0864> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff942ec000 -     0x7fff94300ff7  com.apple.LangAnalysis (1.7.0 - 1.7.0) <04C31EF0-912A-3004-A08F-CEC27030E0B2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff94361000 -     0x7fff9436eff7  libbz2.1.0.dylib (1.0.5 - compatibility 1.0.0) <8EDE3492-D916-37B2-A066-3E0F054411FD> /usr/lib/libbz2.1.0.dylib
    0x7fff9436f000 -     0x7fff94542ff7  com.apple.CoreFoundation (6.7 - 635) <57446B22-0778-3E07-9690-96AC705D57E8> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff94543000 -     0x7fff94745fff  libicucore.A.dylib (46.1.0 - compatibility 1.0.0) <82DCB94B-3819-3CC3-BC16-2AACA7F64F8A> /usr/lib/libicucore.A.dylib
    0x7fff94746000 -     0x7fff94746fff  com.apple.vecLib (3.7 - vecLib 3.7) <29927F20-262F-379C-9108-68A6C69A03D0> /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff94747000 -     0x7fff9474cfff  com.apple.OpenDirectory (10.7 - 144) <E8AACF47-C423-3DCE-98F6-A811612B1B46> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff9474d000 -     0x7fff9474dfff  com.apple.Carbon (153 - 153) <895C2BF2-1666-3A59-A669-311B1F4F368B> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x7fff9474e000 -     0x7fff947d2ff7  com.apple.ApplicationServices.ATS (5.0 - ???) <F10B1918-A06E-3ECF-85EF-05F0CF27187E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff947e0000 -     0x7fff9484afff  com.apple.framework.IOKit (2.0 - ???) <F79E7690-EF97-3D04-BA22-177E256803AF> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff9484b000 -     0x7fff94b6efff  com.apple.HIToolbox (1.7 - ???) <10FA3432-6638-39D9-8681-9E95298D239E> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7fff94bcf000 -     0x7fff94bdefff  com.apple.opengl (1.7.4 - 1.7.4) <38AF4430-7E81-3C98-9330-21DCDA90507E> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff94bdf000 -     0x7fff94c1eff7  libcups.2.dylib (2.9.0 - compatibility 2.0.0) <DE681910-3F7F-3502-9937-AB8008CD281A> /usr/lib/libcups.2.dylib
    0x7fff94c1f000 -     0x7fff94c1ffff  com.apple.Accelerate (1.7 - Accelerate 1.7) <3E4582EB-CFEF-34EA-9DA8-8421F1C3C77D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff94c20000 -     0x7fff94c29fff  libnotify.dylib (80.0.0 - compatibility 1.0.0) <BD08553D-8088-38A8-8007-CF5C0B8F0404> /usr/lib/system/libnotify.dylib
    0x7fff94c2a000 -     0x7fff94c53fff  com.apple.CoreServicesInternal (113.7 - 113.7) <ACAC98CD-5941-39DB-951A-2509DCCD22FD> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
    0x7fff94c54000 -     0x7fff94c58ff7  com.apple.CommonPanels (1.2.5 - 94) <0BB2C436-C9D5-380B-86B5-E355A7711259> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x7fff94c59000 -     0x7fff94f72fff  com.apple.CoreServices.CarbonCore (960.13 - 960.13) <398ABDD7-BB95-3C05-96D2-B54243FC4745> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff95079000 -     0x7fff9507cfff  libCoreVMClient.dylib (??? - ???) <9E9F7B24-567C-3102-909C-219CF2B191FD> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fff9507d000 -     0x7fff9507efff  liblangid.dylib (??? - ???) <CACBE3C3-2F7B-3EED-B50E-EDB73F473B77> /usr/lib/liblangid.dylib
    0x7fff9507f000 -     0x7fff950f2fff  libstdc++.6.dylib (52.0.0 - compatibility 7.0.0) <6BDD43E4-A4B1-379E-9ED5-8C713653DFF2> /usr/lib/libstdc++.6.dylib
    0x7fff950f3000 -     0x7fff95105ff7  libbsm.0.dylib (??? - ???) <349BB16F-75FA-363F-8D98-7A9C3FA90A0D> /usr/lib/libbsm.0.dylib
    0x7fff95106000 -     0x7fff951a0ff7  com.apple.SearchKit (1.4.0 - 1.4.0) <B7573888-BAF6-333D-AB00-C0D2BF88DF0F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff951a1000 -     0x7fff951ceff7  com.apple.opencl (1.50.62 - 1.50.62) <616ADE61-11D1-3816-A255-3F0F80F2EAC8> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff951cf000 -     0x7fff951d1ff7  com.apple.print.framework.Print (7.0 - 247) <579D7E49-A7F4-3C41-9434-3114B8A9B96C> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x7fff95208000 -     0x7fff952fdfff  libiconv.2.dylib (7.0.0 - compatibility 7.0.0) <5C40E880-0706-378F-B864-3C2BD922D926> /usr/lib/libiconv.2.dylib
    0x7fff954b2000 -     0x7fff954b9fff  libcopyfile.dylib (85.1.0 - compatibility 1.0.0) <172B1985-F24A-34E9-8D8B-A2403C9A0399> /usr/lib/system/libcopyfile.dylib
    0x7fff954ba000 -     0x7fff954ddff7  com.apple.RemoteViewServices (1.0 - 1) <EB549657-8EDC-312A-B8BE-DEC3E160AC3D> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
    0x7fff954de000 -     0x7fff95563ff7  com.apple.Heimdal (2.1 - 2.0) <E4CD970F-8DE8-31E4-9FC0-BDC97EB924D5> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff95564000 -     0x7fff9556fff7  com.apple.speech.recognition.framework (4.0.19 - 4.0.19) <7ADAAF5B-1D78-32F2-9FFF-D2E3FBB41C2B> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x7fff9578c000 -     0x7fff959fdfff  com.apple.CoreImage (7.77 - 1.0.1) <AB6ECCF3-4B04-3363-9158-08F305BF15FA> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff95bac000 -     0x7fff95bb1ff7  libsystem_network.dylib (??? - ???) <4ABCEEF3-A3F9-3E06-9682-CE00F17138B7> /usr/lib/system/libsystem_network.dylib
    0x7fff95bb9000 -     0x7fff95bbefff  libpam.2.dylib (3.0.0 - compatibility 3.0.0) <D952F17B-200A-3A23-B9B2-7C1F7AC19189> /usr/lib/libpam.2.dylib
    0x7fff95c24000 -     0x7fff95c26fff  libquarantine.dylib (36.0.0 - compatibility 1.0.0) <4C3BFBC7-E592-3939-B376-1C2E2D7C5389> /usr/lib/system/libquarantine.dylib
    0x7fff95c65000 -     0x7fff95ce0ff7  com.apple.print.framework.PrintCore (7.0 - 366) <E663DF78-6729-332D-B763-ABB63A6BBB55> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff95ce1000 -     0x7fff95ce9fff  libsystem_dnssd.dylib (??? - ???) <7749128E-D0C5-3832-861C-BC9913F774FA> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff95d29000 -     0x7fff9603bfff  com.apple.Foundation (6.7 - 833.1) <618D7923-3519-3C53-9CBD-CF3C7130CB32> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff96f53000 -     0x7fff96f58fff  libcompiler_rt.dylib (6.0.0 - compatibility 1.0.0) <98ECD5F6-E85C-32A5-98CD-8911230CB66A> /usr/lib/system/libcompiler_rt.dylib
    0x7fff96f59000 -     0x7fff96f59fff  libkeymgr.dylib (23.0.0 - compatibility 1.0.0) <61EFED6A-A407-301E-B454-CD18314F0075> /usr/lib/system/libkeymgr.dylib
    0x7fff97032000 -     0x7fff9704fff7  libxpc.dylib (77.16.0 - compatibility 1.0.0) <0A4B4775-29A9-30D6-956B-3BE1DBF98090> /usr/lib/system/libxpc.dylib
    0x7fff97050000 -     0x7fff97053fff  com.apple.help (1.3.2 - 42) <AB67588E-7227-3993-927F-C9E6DAC507FD> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x7fff97054000 -     0x7fff9705aff7  libunwind.dylib (30.0.0 - compatibility 1.0.0) <1E9C6C8C-CBE8-3F4B-A5B5-E03E3AB53231> /usr/lib/system/libunwind.dylib
    0x7fff9705b000 -     0x7fff97095fef  com.apple.DebugSymbols (2.1 - 85) <7E0E17D9-C8D4-3117-B36A-506929F6FF72> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
    0x7fff97096000 -     0x7fff9709dff7  com.apple.CommerceCore (1.0 - 17) <AA783B87-48D4-3CA6-8FF6-0316396022F4> /System/Library/PrivateFrameworks/CommerceKit.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/CommerceCore
    0x7fff970a7000 -     0x7fff970d4fe7  libSystem.B.dylib (159.0.0 - compatibility 1.0.0) <7B4D685D-939C-3ABE-8780-77A1889E0DE9> /usr/lib/libSystem.B.dylib
    0x7fff97109000 -     0x7fff97179fff  com.apple.datadetectorscore (3.0 - 179.3) <AFFBD606-91DE-3F91-8E38-C037D9FBFA8B> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
    0x7fff97186000 -     0x7fff9718dfff  com.apple.NetFS (4.0 - 4.0) <B9F41443-679A-31AD-B0EB-36557DAF782B> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff97407000 -     0x7fff979ebfaf  libBLAS.dylib (??? - ???) <D62D6A48-5C7A-3ED6-875D-AA3C2C5BF791> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff97a3a000 -     0x7fff97a4ffff  com.apple.speech.synthesis.framework (4.0.74 - 4.0.74) <C061ECBB-7061-3A43-8A18-90633F943295> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff97a50000 -     0x7fff97a54fff  libdyld.dylib (195.5.0 - compatibility 1.0.0) <F1903B7A-D3FF-3390-909A-B24E09BAD1A5> /usr/lib/system/libdyld.dylib
    0x7fff97a55000 -     0x7fff97a5fff7  liblaunch.dylib (392.18.0 - compatibility 1.0.0) <39EF04F2-7F0C-3435-B785-BF283727FFBD> /usr/lib/system/liblaunch.dylib

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 2
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 314
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=147.6M resident=109.9M(74%) swapped_out_or_unallocated=37.6M(26%)
Writable regions: Total=69.7M written=15.9M(23%) resident=28.3M(41%) swapped_out=0K(0%) unallocated=41.4M(59%)
 
REGION TYPE                      VIRTUAL
===========                      =======
CG backing stores                  8444K
CG image                              4K
CG raster data                      128K
CG shared images                   3416K
CoreGraphics                         16K
CoreServices                        936K
MALLOC                             31.7M
MALLOC guard page                    48K
MALLOC_LARGE (reserved)             228K        reserved VM address space (unallocated)
Mach message                          8K
Memory tag=242                       12K
STACK GUARD                        56.0M
Stack                              10.6M
VM_ALLOCATE                        16.9M
__CI_BITMAP                          80K
__DATA                             13.2M
__IMAGE                            1256K
__LINKEDIT                         48.4M
__TEXT                             99.2M
__UNICODE                           544K
mapped file                        32.9M
shared memory                       308K
===========                      =======
TOTAL                             323.9M
TOTAL, minus reserved VM space    323.7M

comment:6 Changed 3 years ago by suv-sf@…

  • Cc suv-sf@… added

Cc Me!

comment:8 in reply to: ↑ 4 Changed 3 years ago by jeremyhu@…

  • Status changed from new to assigned
  • Port changed from gimp2 to xorg-server

Replying to caius.cdv@…:

Replying to jmr@…:

If it's X11 crashing then I don't think this can be considered a bug in gimp. Have you filed a radar?

I sent a bug report to Apple.

Do you have a radar number for me? If you just clicked "send to apple", that just contributes to a bug aggregator and would only get to me once sufficient volume establishes that it's not a 1-off event. If you have a reproducible bug, then filing a radar with the crash is the better way to do it.

I checked our reports, and this crash has only been reported once to Apple (by you I assume), so it seems like a rare occurrence.

I was able to reproduce it with your steps, and I will be working on it as time permits.

<rdar://problem/10007321>

comment:9 Changed 3 years ago by macports@…

FWIW, I also have what appears to be identical symptoms on Snow Leopard:

-=- cut here -=-
ewen@bethel:~$ uname -a
Darwin bethel 10.8.0 Darwin Kernel Version 10.8.0: Tue Jun  7 16:33:36 PDT 2011; root:xnu-1504.15.3~1/RELEASE_I386 i386
ewen@bethel:~$ port installed | grep gimp2
  gimp2 @2.6.11_3+x11
  gimp2 @2.6.11_5+x11
  gimp2 @2.6.11_6+python27+x11 (active)
ewen@bethel:~$ 
ewen@bethel:~$ gimp

(gimp:68004): GLib-WARNING **: goption.c:2132: ignoring no-arg, optional-arg or filename flags (8) on option of type 0
Xlib:  extension "RANDR" missing on display "/tmp/launch-Yn8eXF/org.x:0".
gimp: Fatal IO error 35 (Resource temporarily unavailable) on X server /tmp/launch-Yn8eXF/org.x:0.

(script-fu:68348): LibGimpBase-WARNING **: script-fu: gimp_wire_read(): error
ewen@bethel:~$ 
-=- cut here -=-

X11.app crashes out, with just opening a new blank image in gimp2 then opening the Curves dialogue. No further user interaction is required.

I made an attempt today to recompile everything that gimp2 depends on, in the hope that might help (eg, that some underlying library had changed in an incompatible manner since gimp2 or similar had been compiled). But unfortunate netpbm cannot currently be built from source (relies on doing a SVN checkout during "fetch", and the SVN server is failing due to being unable to create a temporary directory), which meant that "port upgrade --force gimp2" failed 138 ports into 198 :-( Even after activating an older netpbm port, and doing "port -n upgrade --force gimp2" to rebuild gimp2 itself with those 138 rebuilt libraries, it still crashes as above.

I've let it "Report to Apple" a few times over the last couple of weeks but mostly not bothered (since I assumed they went into the sort of blackhole describe by the previous comment). (I've no radar number either, since AFAIK this is an Apple Internal thing, and I don't know anyone inside Apple who could create one.)

Ewen

comment:10 Changed 3 years ago by macports@…

  • Cc macports@… added

Cc Me!

comment:11 Changed 3 years ago by macports@…

Potentially also of interest, activating older builds of gimp2, from this list:

ewen@bethel:~$ port installed | grep gimp2
  gimp2 @2.6.11_3+x11
  gimp2 @2.6.11_5+x11
  gimp2 @2.6.11_6+python27+x11 (active)
ewen@bethel:~$ 

also doesn't help; it still crashes in the same manner. And contrary to my previous note, as the original reporter stated it is necessary to move the mouse pointer over the Curves window. With the mouse pointer kept outside that window it can sit running for a non-trivial period of time; with the cursor inside the window X11.app will crash fairly immediately (seems to be limited only by disk IO).

My hunch is that it must be a bad interaction between some library that gimp2 uses in the Curves dialog (most likely related to update the display as the mouse moves around), that was updated in MacPorts in the last month or so, and the X11.app, such that some binary structure no longer aligns as expected. But I don't have any insight into which one.

Ewen

PS: For completeness, crash report text from Snow Leopard + gimp2 @2.6.11_6+python27+x11:

-=- cut here -=-
Process:         X11.bin [69457]
Path:            /Applications/Utilities/X11.app/Contents/MacOS/X11.bin
Identifier:      org.x.X11
Version:         2.3.6 (2.3.6)
Build Info:      X11server-850300~2
Code Type:       X86-64 (Native)
Parent Process:  Xquartz [69456]

Date/Time:       2011-09-16 15:28:36.054 +1200
OS Version:      Mac OS X 10.6.8 (10K549)
Report Version:  6

Interval Since Last Report:          4787 sec
Crashes Since Last Report:           4
Per-App Interval Since Last Report:  103 sec
Per-App Crashes Since Last Report:   3
Anonymous UUID:                      6AAC11C2-540D-4E82-8600-44A9AFE18F6E

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000000
Crashed Thread:  2

Application Specific Information:
X.Org X Server 1.4.2-apple56 Build Date: 20100624

Thread 0:  Dispatch queue: com.apple.main-thread
0   libSystem.B.dylib             	0x00007fff82d03d7a mach_msg_trap + 10
1   libSystem.B.dylib             	0x00007fff82d04444 mach_msg + 146
2   com.apple.CoreFoundation      	0x00007fff82f61932 __CFRunLoopRun + 1698
3   com.apple.CoreFoundation      	0x00007fff82f60dbf CFRunLoopRunSpecific + 575
4   com.apple.HIToolbox           	0x00007fff889087ee RunCurrentEventLoopInMode + 333
5   com.apple.HIToolbox           	0x00007fff889085f3 ReceiveNextEventCommon + 310
6   com.apple.HIToolbox           	0x00007fff889084ac BlockUntilNextEventMatchingListInMode + 59
7   com.apple.AppKit              	0x00007fff850dceb2 _DPSNextEvent + 708
8   com.apple.AppKit              	0x00007fff850dc801 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 155
9   com.apple.AppKit              	0x00007fff850a268f -[NSApplication run] + 395
10  X11.bin                       	0x0000000100007035 X11ApplicationMain + 1210
11  X11.bin                       	0x000000010001136d server_main + 217
12  X11.bin                       	0x000000010000180d do_start_x11_server + 321
13  X11.bin                       	0x00000001000024e0 _Xstart_x11_server + 143
14  X11.bin                       	0x0000000100002352 mach_startup_server + 106
15  libSystem.B.dylib             	0x00007fff82d809a8 mach_msg_server + 357
16  X11.bin                       	0x000000010000228b main + 1378
17  X11.bin                       	0x0000000100001268 start + 52

Thread 1:  Dispatch queue: com.apple.libdispatch-manager
0   libSystem.B.dylib             	0x00007fff82d1cc0a kevent + 10
1   libSystem.B.dylib             	0x00007fff82d1eadd _dispatch_mgr_invoke + 154
2   libSystem.B.dylib             	0x00007fff82d1e7b4 _dispatch_queue_invoke + 185
3   libSystem.B.dylib             	0x00007fff82d1e2de _dispatch_worker_thread2 + 252
4   libSystem.B.dylib             	0x00007fff82d1dc08 _pthread_wqthread + 353
5   libSystem.B.dylib             	0x00007fff82d1daa5 start_wqthread + 13

Thread 2 Crashed:
0   X11.bin                       	0x000000010001bc1b RootlessComposite + 129
1   X11.bin                       	0x00000001000bab39 ProcRenderComposite + 374
2   X11.bin                       	0x000000010005b781 Dispatch + 751
3   X11.bin                       	0x0000000100069cac dix_main + 1309
4   X11.bin                       	0x000000010001149e server_thread + 50
5   libSystem.B.dylib             	0x00007fff82d3cfd6 _pthread_start + 331
6   libSystem.B.dylib             	0x00007fff82d3ce89 thread_start + 13

Thread 3:
0   libSystem.B.dylib             	0x00007fff82d03d7a mach_msg_trap + 10
1   libSystem.B.dylib             	0x00007fff82d043ed mach_msg + 59
2   com.apple.CoreFoundation      	0x00007fff82f61932 __CFRunLoopRun + 1698
3   com.apple.CoreFoundation      	0x00007fff82f60dbf CFRunLoopRunSpecific + 575
4   com.apple.CoreFoundation      	0x00007fff82f60b46 CFRunLoopRun + 70
5   X11.bin                       	0x0000000100020469 xpbproxy_run + 554
6   X11.bin                       	0x0000000100007065 xpbproxy_x_thread + 9
7   libSystem.B.dylib             	0x00007fff82d3cfd6 _pthread_start + 331
8   libSystem.B.dylib             	0x00007fff82d3ce89 thread_start + 13

Thread 4:
0   libSystem.B.dylib             	0x00007fff82d3ea6a __semwait_signal + 10
1   libSystem.B.dylib             	0x00007fff82d42881 _pthread_cond_wait + 1286
2   X11.bin                       	0x000000010000dcf7 DarwinProcessFDAdditionQueue_thread + 89
3   libSystem.B.dylib             	0x00007fff82d3cfd6 _pthread_start + 331
4   libSystem.B.dylib             	0x00007fff82d3ce89 thread_start + 13

Thread 5:  com.apple.CFSocket.private
0   libSystem.B.dylib             	0x00007fff82d47932 select$DARWIN_EXTSN + 10
1   com.apple.CoreFoundation      	0x00007fff82f83498 __CFSocketManager + 824
2   libSystem.B.dylib             	0x00007fff82d3cfd6 _pthread_start + 331
3   libSystem.B.dylib             	0x00007fff82d3ce89 thread_start + 13

Thread 6:
0   libSystem.B.dylib             	0x00007fff82d3ea6a __semwait_signal + 10
1   libSystem.B.dylib             	0x00007fff82d42881 _pthread_cond_wait + 1286
2   libXplugin.1.dylib            	0x0000000100403f45 _xp_async_dequeue + 40
3   libXplugin.1.dylib            	0x000000010040401d _xp_async_thread + 52
4   libSystem.B.dylib             	0x00007fff82d3cfd6 _pthread_start + 331
5   libSystem.B.dylib             	0x00007fff82d3ce89 thread_start + 13

Thread 2 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x0000000115a1adb0  rcx: 0x000000010053d420  rdx: 0x0000000115931000
  rdi: 0x0000000000000003  rsi: 0x00000001012369d0  rbp: 0x000000010164ed80  rsp: 0x000000010164ecf0
   r8: 0x0000000000000000   r9: 0x0000000000000000  r10: 0x0000000101236a70  r11: 0x000000010001bb9a
  r12: 0x00000001019025ec  r13: 0x000000010128d9d0  r14: 0x0000000101236a70  r15: 0x0000000000000000
  rip: 0x000000010001bc1b  rfl: 0x0000000000010202  cr2: 0x0000000000000000

Binary Images:
       0x100000000 -        0x100194fe7 +X11.bin ??? (???) <032FDD65-EA0E-2932-4761-2DE877724B65> /Applications/Utilities/X11.app/Contents/MacOS/X11.bin
       0x100238000 -        0x100239ff7 +libAppleWM.7.dylib 8.0.0 (compatibility 8.0.0) <FF7E8D51-5253-ADBA-6F01-DD9011380FFD> /usr/X11/lib/libAppleWM.7.dylib
       0x10023d000 -        0x100240fff +libXfixes.3.dylib 5.0.0 (compatibility 5.0.0) <CAA61CE3-B523-E3C0-D262-E7BB668AC083> /usr/X11/lib/libXfixes.3.dylib
       0x100245000 -        0x100356ff7 +libX11.6.dylib 9.0.0 (compatibility 9.0.0) <3B9B84E3-B834-EE52-11FB-C5080022F98E> /usr/X11/lib/libX11.6.dylib
       0x10037c000 -        0x1003abff7 +libXfont.1.dylib 6.1.0 (compatibility 6.0.0) <4D221092-652D-B16A-A8C8-147C95938077> /usr/X11/lib/libXfont.1.dylib
       0x1003ba000 -        0x1003bbff7 +libXau.6.dylib 7.0.0 (compatibility 7.0.0) <B03B54B5-EA38-021F-FC33-985DEA42D794> /usr/X11/lib/libXau.6.dylib
       0x1003bf000 -        0x1003c2ff7 +libfontenc.1.dylib 2.0.0 (compatibility 2.0.0) <3D48D5A5-BD1A-3A78-5A4C-DF67E53B0D6C> /usr/X11/lib/libfontenc.1.dylib
       0x1003c8000 -        0x1003f1fff +libpixman-1.0.dylib 15.0.0 (compatibility 15.0.0) <2C4D55B7-215F-7CCB-89B6-EB9B2BCCD218> /usr/X11/lib/libpixman-1.0.dylib
       0x1003fb000 -        0x1003fefef +libXdmcp.6.dylib 7.0.0 (compatibility 7.0.0) <10CB16E2-8BCD-5567-6B8D-6B481CD0877F> /usr/X11/lib/libXdmcp.6.dylib
       0x100403000 -        0x100410fe7  libXplugin.1.dylib ??? (???) <7FDB669E-38B2-4817-A67A-608C04E34663> /usr/lib/libXplugin.1.dylib
       0x10041a000 -        0x100426ff7 +libXext.6.dylib 11.0.0 (compatibility 11.0.0) <AB873AEB-A9E8-98C1-0BAC-2D4A99D3FB4B> /usr/X11/lib/libXext.6.dylib
       0x10042d000 -        0x10049eff7 +libfreetype.6.dylib 13.0.0 (compatibility 13.0.0) <BBECC185-2F99-C3FB-1C17-E8BAAD04CFCA> /usr/X11/lib/libfreetype.6.dylib
       0x1007dd000 -        0x1007e1fff  com.apple.audio.AudioIPCPlugIn 1.1.6 (1.1.6) <917E3DC8-E34D-B130-F61F-50808466E674> /System/Library/Extensions/AudioIPCDriver.kext/Contents/Resources/AudioIPCPlugIn.bundle/Contents/MacOS/AudioIPCPlugIn
       0x1007e6000 -        0x1007ecff7  com.apple.audio.AppleHDAHALPlugIn 2.0.5 (2.0.5f14) <C35BDA60-35FC-4BE7-B378-DCC73D99E2C9> /System/Library/Extensions/AppleHDA.kext/Contents/PlugIns/AppleHDAHALPlugIn.bundle/Contents/MacOS/AppleHDAHALPlugIn
       0x10172a000 -        0x101750fff  GLRendererFloat ??? (???) <490221DD-53D9-178E-3F31-3A4974D34DCD> /System/Library/Frameworks/OpenGL.framework/Resources/GLRendererFloat.bundle/GLRendererFloat
       0x1144bf000 -        0x114652fe7  GLEngine ??? (???) <53A8A7E8-4846-D236-F3D9-DA3F2AF686D8> /System/Library/Frameworks/OpenGL.framework/Resources/GLEngine.bundle/GLEngine
       0x114683000 -        0x114aa6fef  libclh.dylib 3.1.1 C  (3.1.1) <432F5475-F934-92A0-FB49-78F03DA82176> /System/Library/Extensions/GeForceGLDriver.bundle/Contents/MacOS/libclh.dylib
       0x200000000 -        0x200787fe7  com.apple.GeForceGLDriver 1.6.36 (6.3.6) <4F23289A-D45A-0630-8D7F-4C35A4D2AA00> /System/Library/Extensions/GeForceGLDriver.bundle/Contents/MacOS/GeForceGLDriver
    0x7fff5fc00000 -     0x7fff5fc3bdef  dyld 132.1 (???) <B536F2F1-9DF1-3B6C-1C2C-9075EA219A06> /usr/lib/dyld
    0x7fff80003000 -     0x7fff8002bfff  com.apple.DictionaryServices 1.1.2 (1.1.2) <E9269069-93FA-2B71-F9BA-FDDD23C4A65E> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff8002c000 -     0x7fff80075fef  libGLU.dylib ??? (???) <1C050088-4AB2-2BC2-62E6-C969F925A945> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fff8054f000 -     0x7fff80c4bff7  com.apple.CoreGraphics 1.545.0 (???) <58D597B1-EB3B-710E-0B8C-EC114D54E11B> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff80c4c000 -     0x7fff80d81fff  com.apple.audio.toolbox.AudioToolbox 1.6.7 (1.6.7) <E5D7DBDB-6DDF-E6F9-C71C-86F4520EE5A3> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff80d82000 -     0x7fff80f40ff7  com.apple.ImageIO.framework 3.0.4 (3.0.4) <0A4F51A1-4502-767B-8A4E-F14C6214EF88> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff80fba000 -     0x7fff80fbeff7  libmathCommon.A.dylib 315.0.0 (compatibility 1.0.0) <95718673-FEEE-B6ED-B127-BCDBDB60D4E5> /usr/lib/system/libmathCommon.A.dylib
    0x7fff80fbf000 -     0x7fff80fc4fff  libGIF.dylib ??? (???) <201B8077-B5CC-11AA-E1B0-1D057ABE416A> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fff81076000 -     0x7fff8112bfe7  com.apple.ink.framework 1.3.3 (107) <FFC46EE0-3544-A459-2AB9-94778A75E3D4> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fff8112c000 -     0x7fff81132ff7  IOSurface ??? (???) <04EDCEDE-E36F-15F8-DC67-E61E149D2C9A> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff811b7000 -     0x7fff81278fef  com.apple.ColorSync 4.6.6 (4.6.6) <BB2C5813-C61D-3CBA-A8F7-0E59E46EBEE8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff812e6000 -     0x7fff812e7ff7  com.apple.TrustEvaluationAgent 1.1 (1) <51867586-1C71-AE37-EAAD-535A58DD3550> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
    0x7fff81347000 -     0x7fff813c6fe7  com.apple.audio.CoreAudio 3.2.6 (3.2.6) <79E256EB-43F1-C7AA-6436-124A4FFB02D0> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff813fe000 -     0x7fff8143bff7  libFontRegistry.dylib ??? (???) <4C3293E2-851B-55CE-3BE3-29C425DD5DFF> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff81582000 -     0x7fff81582ff7  com.apple.Carbon 150 (152) <19B37B7B-1594-AD0A-7F14-FA2F85AD7241> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x7fff81934000 -     0x7fff81c68fef  com.apple.CoreServices.CarbonCore 861.39 (861.39) <1386A24D-DD15-5903-057E-4A224FAF580B> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff81d62000 -     0x7fff81d9cfff  libcups.2.dylib 2.8.0 (compatibility 2.0.0) <7982734A-B66B-44AA-DEEC-364D2C10009B> /usr/lib/libcups.2.dylib
    0x7fff81d9d000 -     0x7fff81da2ff7  com.apple.CommonPanels 1.2.4 (91) <4D84803B-BD06-D80E-15AE-EFBE43F93605> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x7fff81da3000 -     0x7fff81db2fff  com.apple.NetFS 3.2.2 (3.2.2) <7CCBD70E-BF31-A7A7-DB98-230687773145> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff81db3000 -     0x7fff81e1dfe7  libvMisc.dylib 268.0.1 (compatibility 1.0.0) <75A8D840-4ACE-6560-0889-2AFB6BE08E59> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff81e1e000 -     0x7fff81ef2fe7  com.apple.CFNetwork 454.12.4 (454.12.4) <C83E2BA1-1818-B3E8-5334-860AD21D1C80> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff81f30000 -     0x7fff81fe6ff7  libobjc.A.dylib 227.0.0 (compatibility 1.0.0) <03140531-3B2D-1EBA-DA7F-E12CC8F63969> /usr/lib/libobjc.A.dylib
    0x7fff81fe7000 -     0x7fff82031ff7  com.apple.Metadata 10.6.3 (507.15) <2EF19055-D7AE-4D77-E589-7B71B0BC1E59> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff8206d000 -     0x7fff82073ff7  com.apple.DiskArbitration 2.3 (2.3) <857F6E43-1EF4-7D53-351B-10DE0A8F992A> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff821a9000 -     0x7fff821ecff7  libRIP.A.dylib 545.0.0 (compatibility 64.0.0) <5FF3D7FD-84D8-C5FA-D640-90BB82EC651D> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
    0x7fff821ed000 -     0x7fff821edff7  com.apple.vecLib 3.6 (vecLib 3.6) <08D3D45D-908B-B86A-00BA-0F978D2702A7> /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff82271000 -     0x7fff82296ff7  com.apple.CoreVideo 1.6.2 (45.6) <E138C8E7-3CB6-55A9-0A2C-B73FE63EA288> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff82297000 -     0x7fff82aa1fe7  libBLAS.dylib 219.0.0 (compatibility 1.0.0) <FC941ECB-71D0-FAE3-DCBF-C5A619E594B8> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff82aa2000 -     0x7fff82b20ff7  com.apple.CoreText 151.10 (???) <54961997-55D8-DC0F-2634-674E452D5A8E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff82c93000 -     0x7fff82ce6ff7  com.apple.HIServices 1.8.3 (???) <F6E0C7A7-C11D-0096-4DDA-2C77793AA6CD> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff82ce7000 -     0x7fff82d02ff7  com.apple.openscripting 1.3.1 (???) <FD46A0FE-AC79-3EF7-AB4F-396D376DDE71> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x7fff82d03000 -     0x7fff82ec4fef  libSystem.B.dylib 125.2.11 (compatibility 1.0.0) <9AB4F1D1-89DC-0E8A-DC8E-A4FE4D69DB69> /usr/lib/libSystem.B.dylib
    0x7fff82ec5000 -     0x7fff82f14ff7  com.apple.DirectoryService.PasswordServerFramework 6.1 (6.1) <01B370FB-D524-F660-3826-E85B7F0D85CD> /System/Library/PrivateFrameworks/PasswordServer.framework/Versions/A/PasswordServer
    0x7fff82f15000 -     0x7fff8308cfe7  com.apple.CoreFoundation 6.6.5 (550.43) <31A1C118-AD96-0A11-8BDF-BD55B9940EDC> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff83101000 -     0x7fff83220fe7  libcrypto.0.9.8.dylib 0.9.8 (compatibility 0.9.8) <14115D29-432B-CF02-6B24-A60CC533A09E> /usr/lib/libcrypto.0.9.8.dylib
    0x7fff83744000 -     0x7fff83790fff  libauto.dylib ??? (???) <F7221B46-DC4F-3153-CE61-7F52C8C293CF> /usr/lib/libauto.dylib
    0x7fff837fe000 -     0x7fff8380afff  libbz2.1.0.dylib 1.0.5 (compatibility 1.0.0) <6FB0A8F4-72A1-D28F-E801-DE2C7498AFB9> /usr/lib/libbz2.1.0.dylib
    0x7fff8380b000 -     0x7fff83828ff7  libPng.dylib ??? (???) <6D8E515B-E0A2-2BA1-9CAC-8CB8A8B35879> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff83829000 -     0x7fff83836fe7  libCSync.A.dylib 545.0.0 (compatibility 64.0.0) <1C35FA50-9C70-48DC-9E8D-2054F7A266B1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
    0x7fff83837000 -     0x7fff8383dff7  com.apple.CommerceCore 1.0 (9.1) <3691E9BA-BCF4-98C7-EFEC-78DA6825004E> /System/Library/PrivateFrameworks/CommerceKit.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/CommerceCore
    0x7fff8383e000 -     0x7fff8397cfff  com.apple.CoreData 102.1 (251) <32233D4D-00B7-CE14-C881-6BF19FD05A03> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff83a52000 -     0x7fff83deffe7  com.apple.QuartzCore 1.6.3 (227.37) <16DFF6CD-EA58-CE62-A1D7-5F6CE3D066DD> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff84110000 -     0x7fff84117fff  com.apple.OpenDirectory 10.6 (10.6) <4200CFB0-DBA1-62B8-7C7C-91446D89551F> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff84118000 -     0x7fff84178fe7  com.apple.framework.IOKit 2.0 (???) <4F071EF0-8260-01E9-C641-830E582FA416> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff841d0000 -     0x7fff8425cfef  SecurityFoundation ??? (???) <6860DE26-0D42-D1E8-CD7C-5B42D78C1E1D> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff842da000 -     0x7fff842ebff7  libz.1.dylib 1.2.3 (compatibility 1.0.0) <FB5EE53A-0534-0FFA-B2ED-486609433717> /usr/lib/libz.1.dylib
    0x7fff84308000 -     0x7fff84309fff  liblangid.dylib ??? (???) <EA4D1607-2BD5-2EE2-2A3B-632EEE5A444D> /usr/lib/liblangid.dylib
    0x7fff8442d000 -     0x7fff84475ff7  libvDSP.dylib 268.0.1 (compatibility 1.0.0) <170DE04F-89AB-E295-0880-D69CAFBD7979> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff84476000 -     0x7fff8449dff7  libJPEG.dylib ??? (???) <46A413EA-4FD1-A050-2EF0-6279F3EAD581> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff844b7000 -     0x7fff844f8fef  com.apple.QD 3.36 (???) <5DC41E81-32C9-65B2-5528-B33E934D5BB4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff844f9000 -     0x7fff844f9ff7  com.apple.ApplicationServices 38 (38) <10A0B9E9-4988-03D4-FC56-DDE231A02C63> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff844fa000 -     0x7fff845aafff  edu.mit.Kerberos 6.5.11 (6.5.11) <085D80F5-C9DC-E252-C21B-03295E660C91> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff845ab000 -     0x7fff84769fff  libicucore.A.dylib 40.0.0 (compatibility 1.0.0) <4274FC73-A257-3A56-4293-5968F3428854> /usr/lib/libicucore.A.dylib
    0x7fff8476c000 -     0x7fff8478cff7  com.apple.DirectoryService.Framework 3.6 (621.11) <AD76C757-6701-BDB5-631E-1CB77D669586> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
    0x7fff847ba000 -     0x7fff847d0fe7  com.apple.MultitouchSupport.framework 207.11 (207.11) <8233CE71-6F8D-8B3C-A0E1-E123F6406163> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fff848ea000 -     0x7fff849cffef  com.apple.DesktopServices 1.5.11 (1.5.11) <39FAA3D2-6863-B5AB-AED9-92D878EA2438> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x7fff84a1b000 -     0x7fff84a6afef  libTIFF.dylib ??? (???) <1E2593D1-A7F6-84C6-DF8F-0B46AE445926> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff84eb3000 -     0x7fff84f53fff  com.apple.LaunchServices 362.3 (362.3) <B90B7C31-FEF8-3C26-BFB3-D8A48BD2C0DA> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff84f54000 -     0x7fff84f54ff7  com.apple.Accelerate.vecLib 3.6 (vecLib 3.6) <DA9BFF01-40DF-EBD5-ABB7-787DAF2D77CF> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff85099000 -     0x7fff85a93ff7  com.apple.AppKit 6.6.8 (1038.36) <4CFBE04C-8FB3-B0EA-8DDB-7E7D10E9D251> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff85ad6000 -     0x7fff85b2bff7  com.apple.framework.familycontrols 2.0.2 (2020) <F09541B6-5E28-1C01-C1AE-F6A2508670C7> /System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls
    0x7fff85b2c000 -     0x7fff85b2fff7  libCoreVMClient.dylib ??? (???) <E03D7C81-A3DA-D44A-A88A-DDBB98AF910B> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fff85b30000 -     0x7fff85b3eff7  libkxld.dylib ??? (???) <8145A534-95CC-9F3C-B78B-AC9898F38C6F> /usr/lib/system/libkxld.dylib
    0x7fff85b60000 -     0x7fff85b64ff7  libCGXType.A.dylib 545.0.0 (compatibility 64.0.0) <DB710299-B4D9-3714-66F7-5D2964DE585B> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
    0x7fff85b65000 -     0x7fff85deeff7  com.apple.security 6.1.2 (55002) <4419AFFC-DAE7-873E-6A7D-5C9A5A4497A6> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff8602a000 -     0x7fff8602aff7  com.apple.Cocoa 6.6 (???) <68B0BE46-6E24-C96F-B341-054CF9E8F3B6> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
    0x7fff8603f000 -     0x7fff86041fff  com.apple.print.framework.Print 6.1 (237.1) <CA8564FB-B366-7413-B12E-9892DA3C6157> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x7fff86a8e000 -     0x7fff86b1efff  com.apple.SearchKit 1.3.0 (1.3.0) <4175DC31-1506-228A-08FD-C704AC9DF642> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff86b1f000 -     0x7fff86bb9fe7  com.apple.ApplicationServices.ATS 275.16 (???) <4B70A2FC-1902-5F27-5C3B-5C78C283C6EA> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff86cab000 -     0x7fff86cccfff  libresolv.9.dylib 41.0.0 (compatibility 1.0.0) <6993F348-428F-C97E-7A84-7BD2EDC46A62> /usr/lib/libresolv.9.dylib
    0x7fff86d0c000 -     0x7fff86e23fef  libxml2.2.dylib 10.3.0 (compatibility 10.0.0) <1B27AFDD-DF87-2009-170E-C129E1572E8B> /usr/lib/libxml2.2.dylib
    0x7fff86e24000 -     0x7fff86e2fff7  com.apple.speech.recognition.framework 3.11.1 (3.11.1) <F0DDF27E-DB55-07CE-E548-C62095BE8167> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x7fff86f6f000 -     0x7fff87028fff  libsqlite3.dylib 9.6.0 (compatibility 9.0.0) <2C5ED312-E646-9ADE-73A9-6199A2A43150> /usr/lib/libsqlite3.dylib
    0x7fff87029000 -     0x7fff8705cff7  libTrueTypeScaler.dylib ??? (???) <69D4A213-45D2-196D-7FF8-B52A31DFD329> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib
    0x7fff8705d000 -     0x7fff8705ffff  libRadiance.dylib ??? (???) <A9DB4D5D-4072-971B-DEF6-DDE645F415EA> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff87060000 -     0x7fff870ddfef  libstdc++.6.dylib 7.9.0 (compatibility 7.0.0) <35ECA411-2C08-FD7D-11B1-1B7A04921A5C> /usr/lib/libstdc++.6.dylib
    0x7fff871a7000 -     0x7fff871befff  com.apple.ImageCapture 6.1 (6.1) <79AB2131-2A6C-F351-38A9-ED58B25534FD> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
    0x7fff871bf000 -     0x7fff871e2fff  com.apple.opencl 12.3.6 (12.3.6) <42FA5783-EB80-1168-4015-B8C68F55842F> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff871e6000 -     0x7fff871fcfef  libbsm.0.dylib ??? (???) <42D3023A-A1F7-4121-6417-FCC6B51B3E90> /usr/lib/libbsm.0.dylib
    0x7fff871fd000 -     0x7fff8723efff  com.apple.SystemConfiguration 1.10.8 (1.10.2) <78D48D27-A9C4-62CA-2803-D0BBED82855A> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff8723f000 -     0x7fff872c4ff7  com.apple.print.framework.PrintCore 6.3 (312.7) <CDFE82DD-D811-A091-179F-6E76069B432D> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff8733a000 -     0x7fff8777dfef  libLAPACK.dylib 219.0.0 (compatibility 1.0.0) <0CC61C98-FF51-67B3-F3D8-C5E430C201A9> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff8777e000 -     0x7fff87781fff  com.apple.help 1.3.2 (41.1) <BD1B0A22-1CB8-263E-FF85-5BBFDE3660B9> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x7fff87782000 -     0x7fff87782ff7  com.apple.CoreServices 44 (44) <DC7400FB-851E-7B8A-5BF6-6F50094302FB> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff87783000 -     0x7fff87797ff7  com.apple.speech.synthesis.framework 3.10.35 (3.10.35) <621B7415-A0B9-07A7-F313-36BEEDD7B132> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff8784e000 -     0x7fff87889fff  com.apple.AE 496.5 (496.5) <208DF391-4DE6-81ED-C697-14A2930D1BC6> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff8788a000 -     0x7fff8788aff7  com.apple.Accelerate 1.6 (Accelerate 1.6) <2BB7D669-4B40-6A52-ADBD-DA4DB3BC0B1B> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff8788b000 -     0x7fff879a5fef  libGLProgrammability.dylib ??? (???) <8A4B86E3-0FA7-8684-2EF2-C5F8079428DB> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
    0x7fff879a6000 -     0x7fff879b8fe7  libsasl2.2.dylib 3.15.0 (compatibility 3.0.0) <76B83C8D-8EFE-4467-0F75-275648AFED97> /usr/lib/libsasl2.2.dylib
    0x7fff881e5000 -     0x7fff881e8ff7  com.apple.securityhi 4.0 (36638) <38935851-09E4-DDAB-DB1D-30ADC39F7ED0> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x7fff881e9000 -     0x7fff88202fff  com.apple.CFOpenDirectory 10.6 (10.6) <CCF79716-7CC6-2520-C6EB-A4F56AD0A207> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff88262000 -     0x7fff88293fff  libGLImage.dylib ??? (???) <7F102A07-E4FB-9F52-B2F6-4E2D2383CA13> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fff88296000 -     0x7fff88518fe7  com.apple.Foundation 6.6.7 (751.62) <6F2A5BBF-6990-D561-2928-AD61E94036D9> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff885fb000 -     0x7fff88642ff7  com.apple.coreui 2 (114) <D7645B59-0431-6283-7322-957D944DAB21> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff88643000 -     0x7fff88644ff7  com.apple.audio.units.AudioUnit 1.6.7 (1.6.7) <53299948-2554-0F8F-7501-04B34E49F6CF> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff88645000 -     0x7fff88722fff  com.apple.vImage 4.1 (4.1) <C3F44AA9-6F71-0684-2686-D3BBC903F020> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff88778000 -     0x7fff887a3ff7  libxslt.1.dylib 3.24.0 (compatibility 3.0.0) <8AB4CA9E-435A-33DA-7041-904BA7FA11D5> /usr/lib/libxslt.1.dylib
    0x7fff887b0000 -     0x7fff887c4fff  libGL.dylib ??? (???) <2ECE3B0F-39E1-3938-BF27-7205C6D0358B> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fff887c5000 -     0x7fff88886fff  libFontParser.dylib ??? (???) <A00BB0A7-E46C-1D07-1391-194745566C7E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff888da000 -     0x7fff88bd8fff  com.apple.HIToolbox 1.6.5 (???) <AD1C18F6-51CB-7E39-35DD-F16B1EB978A8> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7fff88e43000 -     0x7fff88e58ff7  com.apple.LangAnalysis 1.6.6 (1.6.6) <DC999B32-BF41-94C8-0583-27D9AB463E8B> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff88e59000 -     0x7fff88e68fef  com.apple.opengl 1.6.13 (1.6.13) <516098B3-4517-8A55-64BB-195CDAA5334D> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff88e69000 -     0x7fff88e6efff  libGFXShared.dylib ??? (???) <1D0D3531-9561-632C-D620-1A8652BEF5BC> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fff8a378000 -     0x7fff8a435fff  com.apple.CoreServices.OSServices 359.2 (359.2) <BBB8888E-18DE-5D09-3C3A-F4C029EC7886> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fffffe00000 -     0x7fffffe01fff  libSystem.B.dylib ??? (???) <9AB4F1D1-89DC-0E8A-DC8E-A4FE4D69DB69> /usr/lib/libSystem.B.dylib

Model: MacBookPro5,5, BootROM MBP55.00AC.B03, 2 processors, Intel Core 2 Duo, 2.53 GHz, 4 GB, SMC 1.47f2
Graphics: NVIDIA GeForce 9400M, NVIDIA GeForce 9400M, PCI, 256 MB
Memory Module: global_name
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x8D), Broadcom BCM43xx 1.0 (5.10.131.42.4)
Bluetooth: Version 2.4.5f3, 2 service, 12 devices, 1 incoming serial ports
Network Service: Ethernet, Ethernet, en0
Network Service: AirPort, AirPort, en1
Serial ATA Device: FUJITSU MJA2250BH FFS G1, 232.89 GB
Serial ATA Device: HL-DT-ST DVDRW  GS23N
USB Device: USB2.0 Hub, 0x05e3  (Genesys Logic, Inc.), 0x0607, 0x26200000 / 3
USB Device: Hub in Apple Pro Keyboard, 0x05ac  (Apple Inc.), 0x1003, 0x26240000 / 5
USB Device: Apple Optical USB Mouse, 0x05ac  (Apple Inc.), 0x0304, 0x26241000 / 9
USB Device: USB to Serial Converter, 0x0b39  (Omnidirectional Control Technology Inc.), 0x0421, 0x26242000 / 8
USB Device: Apple Pro Keyboard, 0x05ac  (Apple Inc.), 0x020b, 0x26243000 / 6
USB Device: External HDD, 0x1058  (Western Digital Technologies, Inc.), 0x1003, 0x26230000 / 4
USB Device: Internal Memory Card Reader, 0x05ac  (Apple Inc.), 0x8403, 0x26500000 / 2
USB Device: Built-in iSight, 0x05ac  (Apple Inc.), 0x8507, 0x24400000 / 2
USB Device: BRCM2046 Hub, 0x0a5c  (Broadcom Corp.), 0x4500, 0x06100000 / 2
USB Device: Bluetooth USB Host Controller, 0x05ac  (Apple Inc.), 0x8213, 0x06110000 / 3
USB Device: Apple Internal Keyboard / Trackpad, 0x05ac  (Apple Inc.), 0x0236, 0x04600000 / 3
USB Device: IR Receiver, 0x05ac  (Apple Inc.), 0x8242, 0x04500000 / 2
-=- cut here -=-

comment:12 Changed 3 years ago by dtakahashi42@…

  • Cc dtakahashi42@… added

Cc Me!

comment:13 Changed 3 years ago by dtakahashi42@…

I am not sure this will be helpful to specify the bug, I found the same reproducible X11 crash at gtk-demo (xorg-server @1.10.4_0+universal and gtk2 @2.24.6_0+universal+x11).

To reproduce that crash, (1) launch gtk-demo from terminal, (2) open "Tool Palette" widget, and (3) drug an item to "Interactive DnD Mode" pane. Then, X11 crashes immediately after an error message similar to the reported one.

gtk-demo: Fatal IO error 35 (Resource temporarily unavailable) on X server /tmp/launch-M4vrmn/org.macports:0.

comment:14 Changed 3 years ago by dtakahashi42@…

Sorry, I forgot to include the information about my system. My system is Mac OSX 10.6.8 (x86_64) on Macbook pro early 2011, and the installed macport is 2.0.1 with latest update. Thank you.

comment:15 Changed 3 years ago by kurtjaeke@…

  • Cc kurtjaeke@… added

Cc Me!

comment:16 Changed 3 years ago by kurtjaeke@…

Should this be reported upstream?

comment:17 Changed 3 years ago by hypocrite@…

  • Cc hypocrite@… added

Cc Me!

comment:18 Changed 3 years ago by adam.bartley@…

Installed new macport of gimp tonight. Nope, still not fixed.

comment:19 Changed 2 years ago by adam.bartley@…

Installed new macport of gimp 2 today. *Still* no action. Is this a problem with gtk2, in fact? If so, when can we see some action on it?

comment:20 follow-up: ↓ 21 Changed 2 years ago by shawn12@…

  • Cc shawn12@… added

Cc Me!

comment:21 in reply to: ↑ 20 Changed 2 years ago by shawn12@…

Replying to shawn12@…:

Cc Me!

I just installed gimp last week, I'm crashing in the same place. Every time. I can send error logs if desired.

comment:22 Changed 2 years ago by jeremyhu@…

shawn, Are you seeing this crash? If not, please open a new one.

comment:23 Changed 2 years ago by shawn12@…

Yes, any time I use curves, gimp (I guess X11) shuts down as soon as the cursor moves over the curves window.

comment:24 Changed 2 years ago by kurtjaeke@…

Still happens, also on Snow Leopard. It is X11 (port "xorg-server"), that crashes. Please report this upstream.

comment:25 Changed 2 years ago by luis.kornblueh@…

  • Cc luis.kornblueh@… added

Cc Me!

comment:25 Changed 2 years ago by dtakahashi42@…

Here is a patch to xorg-server that may fix this problem (at least it works here!).

The patch adds one more null pointer check since pMask could be SourcePicture, which does not have drawable (it means, pMask->pDrawable can be null). This seems not to be fixed at xorg 1.11.2, and I could not find upstream bug-reports related to this problem. If anyone knows, please let me know about it.

But, why this problem is Xquartz specific?

Changed 2 years ago by dtakahashi42@…

xorg-server patch

comment:26 Changed 2 years ago by jeremyhu@…

Thanks, it's in my git pending upstream pull, but I still want to figure out WHY that is NULL.

comment:27 Changed 2 years ago by jeremyhu@…

It's XQuartz specific because only XQuartz uses miext/rootless.

comment:28 Changed 2 years ago by jeremyhu@…

Why did this work before? Hrm...

comment:29 Changed 2 years ago by dtakahashi42@…

Thank you very much. Here is what I investigated, and I hope it will help you.

(The case of cairo graphic library)

  1. A call of cairo_paint_with_alpha implicitly creates mask surface with type CAIRO_PATTERN_TYPE_SOLID (cairo.c:2266) of color rgb(0, 0, 0, alpha)
  2. When a cairo-surface that has type CAIRO_PATTERN_TYPE_SOLID is rendered to xcb surface, the function _solid_picture (cairo-xcb-surface-render.c:621) is called
  3. Because CAIRO_XCB_RENDER_HAS_GRADIENTS seems to be true now (cairo-xcb-surface-render.c:642), _cairo_xcb_connection_render_create_solid_fill (cairo-xcb-connection-render.c:832) is then called, and transmit a small data to xserver
  4. The opcode of the data corresponds to CreateSolidPicture (xorg-server/render/picture.c:861). Allocated pPicture has type SourcePictTypeSolidFill and does not have any drawables
  5. Therefore, RootlessComposite can receive pMask without drawable

comment:30 Changed 2 years ago by jeremyhu@…

Ok, thanks. So it's not a regression in the server, just a new client poke which triggered it.

comment:31 Changed 2 years ago by jeremyhu@…

This will be fixed in the next xorg-server-devel once keithp merges in my branch, and soon after in the stable xorg-server

comment:32 Changed 2 years ago by macports@…

For the benefit of anyone playing along at home, the relevant change 328074890eeb111950e984c6f618311983600b20 did make it onto the X.org xserver master branch (328074890eeb111950e984c6f618311983600b20 on xorg master) just before the GIT change (5952efa903d57ac69070f1477ce46223a2a7893c) which created 1.11.99.1 -- and that revision is the one currently built by the MacPorts xorg-xserver-devel. Which means that the MacPorts xorg-xserver-devel does include the additional NULL pointer check required now. And I've verified (at least on Snow Leopard) that with the xorg-xserver-devel in use, "Curves" in The Gimp doesn't cause the X Server to crash. (FWIW, my blog post about it, which has some additional links.)

Build time for xorg-xserver-devel and dependencies, assuming you've been using MacPorts for a while (and hence have many of the dependencies already installed, is relatively quick -- under 10 minutes IIRC (and faster than, eg, boost). And it looks like xorg-xserver-devel will, by default, become the started X11.app after you log out/log in again (ie, so launchctl sees the LaunchAgent update).

Ewen

comment:33 Changed 2 years ago by dr.adrian@…

  • Cc dr.adrian@… added

Cc Me!

comment:34 Changed 2 years ago by macports@…

For the benefit of anyone playing at home, xorg-server (and xorg-server-devel) in MacPorts are now both on 1.12.0, which is an xorg-server release that includes the relevant patch (I've tested by using the "curves" function in Gimp on OS X 10.6.8 -- Snow Leopard, against xorg-server 1.12.0). So it should no longer be necessary to track xorg-server-devel changes to have this bug fixed. (But AFAIK the fix hasn't been released by Apple into their X server, so the Macports X server is still required if you're affected.)

To swap from xorg-server-devel to xorg-server, I just quit the X11 server, then did:

sudo port deactivate xorg-server-devel sudo port install xorg-server

and on starting the next X application the 1.12 xorg-server was auto-launched (per my blog post linked earlier in this ticket; at some point I'll uninstall the deactivated port: I've actually got lots of deactivated ports that need to be uninstalled to free up space, which I tend to do in a periodic mass tidy up.)

Ewen

comment:35 Changed 2 years ago by jeremyhu@…

  • Status changed from assigned to closed
  • Resolution set to fixed

It's been fixed in XQuartz for a while now.

comment:36 Changed 2 years ago by jeremyhu@…

It was fixed in 1.11.2.901 (1.11.3 RC1)

comment:37 Changed 2 years ago by hypocrite@…

  • Cc hypocrite@… removed

Cc Me!

comment:38 Changed 2 years ago by elatllat@…

  • Status changed from closed to reopened
  • Resolution fixed deleted

I'm still having this problem after doing this on OSX 10.7.3: "sudo port selfupdate;sudo port upgrade outdated;sudo port install xorg-server;sudo port install gimp2;gimp"

How do I resolve this (get gimp to use the other X11 if that is what's needed)?: Process: X11.bin [27872] Path: /Applications/Utilities/X11.app/Contents/MacOS/X11.bin Identifier: org.x.X11 Version: 2.6.3 (2.6.3) Build Info: X11server-106005000000000~139 Code Type: X86-64 (Native) Parent Process: Xquartz [27871]

Date/Time: 2012-03-14 12:05:13.178 -0400 OS Version: Mac OS X 10.7.3 (11D50) Report Version: 9

Interval Since Last Report: 687340 sec Crashes Since Last Report: 5 Per-App Interval Since Last Report: 1745 sec Per-App Crashes Since Last Report: 4 Anonymous UUID: CE037CA6-DEFF-4C22-AD1C-0F1661785D9A

Crashed Thread: 2

Exception Type: EXC_BAD_ACCESS (SIGSEGV) Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000000

VM Regions Near 0: -->

TEXT 0000000103f34000-00000001040db000 [ 1692K] r-x/rwx SM=COW /Applications/Utilities/X11.app/Contents/MacOS/X11.bin

Application Specific Information: X.Org X Server 1.10.3 Build Date: 20110922 objc[27872]: garbage collection is OFF

Thread 0:: Dispatch queue: com.apple.main-thread 0 libsystem_kernel.dylib 0x00007fff8eac867a mach_msg_trap + 10 1 libsystem_kernel.dylib 0x00007fff8eac7d71 mach_msg + 73 2 com.apple.CoreFoundation 0x00007fff8c69c6fc CFRunLoopServiceMachPort + 188 3 com.apple.CoreFoundation 0x00007fff8c6a4e64 CFRunLoopRun + 1204 4 com.apple.CoreFoundation 0x00007fff8c6a4676 CFRunLoopRunSpecific + 230 5 com.apple.HIToolbox 0x00007fff90d1f31f RunCurrentEventLoopInMode + 277 6 com.apple.HIToolbox 0x00007fff90d265c9 ReceiveNextEventCommon + 355 7 com.apple.HIToolbox 0x00007fff90d26456 BlockUntilNextEventMatchingListInMode + 62 8 com.apple.AppKit 0x00007fff92472f5d _DPSNextEvent + 659 9 com.apple.AppKit 0x00007fff92472861 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 135 10 com.apple.AppKit 0x00007fff9246f19d -[NSApplication run] + 470 11 X11.bin 0x0000000103f3cceb X11ApplicationMain + 1291 12 X11.bin 0x0000000103f45a03 server_main + 172 13 X11.bin 0x0000000103f36c50 do_start_x11_server + 307 14 X11.bin 0x0000000103f37017 _Xstart_x11_server + 245 15 X11.bin 0x0000000103f36ef1 mach_startup_server + 146 16 libsystem_kernel.dylib 0x00007fff8eac828b mach_msg_server + 496 17 X11.bin 0x0000000103f36a73 main + 1636 18 X11.bin 0x0000000103f35d04 start + 52

Thread 1:: Dispatch queue: com.apple.libdispatch-manager 0 libsystem_kernel.dylib 0x00007fff8eaca7e6 kevent + 10 1 libdispatch.dylib 0x00007fff8de0b5be _dispatch_mgr_invoke + 923 2 libdispatch.dylib 0x00007fff8de0a14e _dispatch_mgr_thread + 54

Thread 2 Crashed: 0 X11.bin 0x0000000103f525d1 RootlessComposite + 202 1 X11.bin 0x0000000103fa0c2a CompositePicture + 631 2 X11.bin 0x0000000103fa43d5 ProcRenderComposite + 388 3 X11.bin 0x0000000103ff8475 Dispatch + 837 4 X11.bin 0x0000000103fe94cf dix_main + 198 5 X11.bin 0x0000000103f45a60 server_thread + 43 6 libsystem_c.dylib 0x00007fff97dd18bf _pthread_start + 335 7 libsystem_c.dylib 0x00007fff97dd4b75 thread_start + 13

Thread 3: 0 libsystem_kernel.dylib 0x00007fff8eac867a mach_msg_trap + 10 1 libsystem_kernel.dylib 0x00007fff8eac7d71 mach_msg + 73 2 com.apple.CoreFoundation 0x00007fff8c69c6fc CFRunLoopServiceMachPort + 188 3 com.apple.CoreFoundation 0x00007fff8c6a4e64 CFRunLoopRun + 1204 4 com.apple.CoreFoundation 0x00007fff8c6a4676 CFRunLoopRunSpecific + 230 5 com.apple.CoreFoundation 0x00007fff8c6b438f CFRunLoopRun + 95 6 X11.bin 0x0000000103f57e8e xpbproxy_run + 586 7 X11.bin 0x0000000103f3cd1b xpbproxy_x_thread + 9 8 libsystem_c.dylib 0x00007fff97dd18bf _pthread_start + 335 9 libsystem_c.dylib 0x00007fff97dd4b75 thread_start + 13

Thread 4: 0 libsystem_kernel.dylib 0x00007fff8eac9bca psynch_cvwait + 10 1 libsystem_c.dylib 0x00007fff97dd5274 _pthread_cond_wait + 840 2 X11.bin 0x0000000103f421d3 DarwinProcessFDAdditionQueue_thread + 183 3 libsystem_c.dylib 0x00007fff97dd18bf _pthread_start + 335 4 libsystem_c.dylib 0x00007fff97dd4b75 thread_start + 13

Thread 5:: com.apple.CFSocket.private 0 libsystem_kernel.dylib 0x00007fff8eac9df2 select + 10 1 com.apple.CoreFoundation 0x00007fff8c6edcdb CFSocketManager + 1355 2 libsystem_c.dylib 0x00007fff97dd18bf _pthread_start + 335 3 libsystem_c.dylib 0x00007fff97dd4b75 thread_start + 13

Thread 6: 0 libsystem_kernel.dylib 0x00007fff8eac9bca psynch_cvwait + 10 1 libsystem_c.dylib 0x00007fff97dd5274 _pthread_cond_wait + 840 2 libXplugin.1.dylib 0x000000010435ddc2 _xp_async_dequeue + 51 3 libXplugin.1.dylib 0x000000010435dd6f _xp_async_thread + 87 4 libsystem_c.dylib 0x00007fff97dd18bf _pthread_start + 335 5 libsystem_c.dylib 0x00007fff97dd4b75 thread_start + 13

Thread 7: 0 libsystem_kernel.dylib 0x00007fff8eaca192 workq_kernreturn + 10 1 libsystem_c.dylib 0x00007fff97dd3594 _pthread_wqthread + 758 2 libsystem_c.dylib 0x00007fff97dd4b85 start_wqthread + 13

Thread 8: 0 libsystem_kernel.dylib 0x00007fff8eaca192 workq_kernreturn + 10 1 libsystem_c.dylib 0x00007fff97dd3594 _pthread_wqthread + 758 2 libsystem_c.dylib 0x00007fff97dd4b85 start_wqthread + 13

Thread 2 crashed with X86 Thread State (64-bit):

rax: 0x00007fc6a321fae0 rbx: 0x0000000108de0000 rcx: 0x00007fc6a360ca10 rdx: 0x00007fc6a1c821c0 rdi: 0x00007fc6a3223920 rsi: 0x00007fc6a360afa0 rbp: 0x00000001077b4d00 rsp: 0x00000001077b4c60

r8: 0x0000000000000000 r9: 0x0000000000000000 r10: 0x0000000000000000 r11: 0x0000000000000000

r12: 0x00007fc6a360afa0 r13: 0x00007fc6a321fae0 r14: 0x0000000000000000 r15: 0x00007fc6a1c821c0 rip: 0x0000000103f525d1 rfl: 0x0000000000010206 cr2: 0x0000000000000000

Logical CPU: 0

Binary Images:

0x103f34000 - 0x1040dafff +X11.bin (??? - ???) <FA37C0C9-6095-3688-9DA6-8FA13554D153> /Applications/Utilities/X11.app/Contents/MacOS/X11.bin 0x10415b000 - 0x10415cfff +libAppleWM.7.dylib (8.0.0 - compatibility 8.0.0) <933232DE-2E86-35D2-B6BB-C521889766AF> /usr/X11/lib/libAppleWM.7.dylib 0x104162000 - 0x104165fff +libXfixes.3.dylib (5.0.0 - compatibility 5.0.0) <DA914870-EB20-3030-AB05-55DDF24A38D1> /usr/X11/lib/libXfixes.3.dylib 0x10416f000 - 0x10427cfff +libX11.6.dylib (10.0.0 - compatibility 10.0.0) <EDF51216-D36C-3012-B334-F2629DF08E68> /usr/X11/lib/libX11.6.dylib 0x1042a3000 - 0x1042f8fff +libpixman-1.0.dylib (21.2.0 - compatibility 21.0.0) <939F85B8-9CD4-3F0F-89AB-0BA589DE6025> /usr/X11/lib/libpixman-1.0.dylib 0x10430e000 - 0x10433cfff +libXfont.1.dylib (6.1.0 - compatibility 6.0.0) <21D2141F-F4BE-36FF-9416-E12B4A632987> /usr/X11/lib/libXfont.1.dylib 0x104350000 - 0x104351fff +libXau.6.dylib (7.0.0 - compatibility 7.0.0) <E6813580-AEC5-3CDC-BCC2-59DBFB67ADDE> /usr/X11/lib/libXau.6.dylib 0x104355000 - 0x104358ff7 +libXdmcp.6.dylib (7.0.0 - compatibility 7.0.0) <A05CB37B-7FAC-3500-AFF5-E40D5F34198C> /usr/X11/lib/libXdmcp.6.dylib 0x10435d000 - 0x104369fff libXplugin.1.dylib (??? - ???) <ED193AFD-9018-3A92-A685-88EBB279FF20> /usr/lib/libXplugin.1.dylib 0x104379000 - 0x104385fff +libXext.6.dylib (11.0.0 - compatibility 11.0.0) <BBDEFB2A-9990-330C-A58C-F165279CBCDB> /usr/X11/lib/libXext.6.dylib 0x104391000 - 0x1043a2fff +libxcb.1.dylib (3.0.0 - compatibility 3.0.0) <D2A0CE9B-38FA-3ABD-8F02-2360A2475917> /usr/X11/lib/libxcb.1.dylib 0x1043b5000 - 0x10442efff +libfreetype.6.dylib (14.2.0 - compatibility 14.0.0) <7B77397A-3D6F-3A26-926F-786BC27E5D3C> /usr/X11/lib/libfreetype.6.dylib 0x104446000 - 0x104449fff +libfontenc.1.dylib (2.0.0 - compatibility 2.0.0) <46C67245-A859-35CF-93C0-FE650747146F> /usr/X11/lib/libfontenc.1.dylib 0x10578d000 - 0x105790ff7 +net.culater.SIMBL.osax (0.9.9 - 0.9.9) <F0F26DED-2BF8-C0BF-8D26-30D50D989095> /Library/ScriptingAdditions/SIMBL.osax/Contents/MacOS/SIMBL 0x10823c000 - 0x1083d5fff GLEngine (??? - ???) <8BA26192-A4D7-362D-8B57-5FCF4B706A25> /System/Library/Frameworks/OpenGL.framework/Resources/GLEngine.bundle/GLEngine 0x108409000 - 0x108502fff libGLProgrammability.dylib (??? - ???) <B7710703-8652-36B8-83DD-4F216FAF0730> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib 0x108528000 - 0x1087effff com.apple.ATIRadeonX3000GLDriver (7.18.11 - 7.1.8) <C358C1A0-0404-30DE-A5D9-CE6C2B9676B0> /System/Library/Extensions/ATIRadeonX3000GLDriver.bundle/Contents/MacOS/ATIRadeonX3000GLDriver 0x10883a000 - 0x108868ff7 GLRendererFloat (??? - ???) <0C213C61-C08C-3B5D-85A4-EB4660AF55BF> /System/Library/Frameworks/OpenGL.framework/Resources/GLRendererFloat.bundle/GLRendererFloat 0x108a12000 - 0x108a31ff7 +net.infinite-labs.Afloat (2.4 - 2.4) <C567B4D0-9FBA-3032-AA08-7E3A87ABDB95> /Users/USER/Library/Application Support/SIMBL/*/Afloat.bundle/Contents/MacOS/Afloat

0x7fff63b34000 - 0x7fff63b68baf dyld (195.6 - ???) <0CD1B35B-A28F-32DA-B72E-452EAD609613> /usr/lib/dyld 0x7fff8c66c000 - 0x7fff8c840fff com.apple.CoreFoundation (6.7.1 - 635.19) <57B77925-9065-38C9-A05B-02F4F9ED007C> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation 0x7fff8c841000 - 0x7fff8c841fff libkeymgr.dylib (23.0.0 - compatibility 1.0.0) <61EFED6A-A407-301E-B454-CD18314F0075> /usr/lib/system/libkeymgr.dylib 0x7fff8c842000 - 0x7fff8c848fff libGFXShared.dylib (??? - ???) <B95E9B22-AE68-3E48-8733-00CCCA08D50E> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib 0x7fff8c89f000 - 0x7fff8c8a6fff libcopyfile.dylib (85.1.0 - compatibility 1.0.0) <172B1985-F24A-34E9-8D8B-A2403C9A0399> /usr/lib/system/libcopyfile.dylib 0x7fff8cbfa000 - 0x7fff8cc4eff7 libFontRegistry.dylib (??? - ???) <F98926EF-FFA0-37C5-824C-02E436E21DD1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib 0x7fff8cc4f000 - 0x7fff8cc9dfff libauto.dylib (??? - ???) <D8AC8458-DDD0-3939-8B96-B6CED81613EF> /usr/lib/libauto.dylib 0x7fff8cc9e000 - 0x7fff8cdf7fff com.apple.audio.toolbox.AudioToolbox (1.7.2 - 1.7.2) <0AD8197C-1BA9-30CD-98F1-4CA2C6559BA8> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox 0x7fff8ce21000 - 0x7fff8ce2efff libCSync.A.dylib (600.0.0 - compatibility 64.0.0) <CBA71562-050B-3515-92B7-8BC1E2EEEF2A> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib 0x7fff8cf35000 - 0x7fff8d06bfff com.apple.vImage (5.1 - 5.1) <A08B7582-67BC-3EED-813A-4833645964A7> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage 0x7fff8d06c000 - 0x7fff8d06efff libCVMSPluginSupport.dylib (??? - ???) <B2FC6EC0-1A0C-3482-A3C9-D08446E8713A> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib 0x7fff8d06f000 - 0x7fff8d122fff com.apple.CoreText (220.11.0 - ???) <0322442E-0530-37E8-A7D6-AEFD909F0AFE> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText 0x7fff8d2ae000 - 0x7fff8d2b4fff libmacho.dylib (800.0.0 - compatibility 1.0.0) <D86F63EC-D2BD-32E0-8955-08B5EAFAD2CC> /usr/lib/system/libmacho.dylib 0x7fff8d2dd000 - 0x7fff8d5f6ff7 com.apple.Foundation (6.7.1 - 833.24) <6D4E6F93-64EF-3D41-AE80-2BB10E2E6323> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation 0x7fff8d689000 - 0x7fff8d6fcfff libstdc++.6.dylib (52.0.0 - compatibility 7.0.0) <6BDD43E4-A4B1-379E-9ED5-8C713653DFF2> /usr/lib/libstdc++.6.dylib 0x7fff8d72d000 - 0x7fff8d72dfff com.apple.CoreServices (53 - 53) <043C8026-8EDD-3241-B090-F589E24062EF> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices 0x7fff8d72e000 - 0x7fff8d740ff7 libbsm.0.dylib (??? - ???) <349BB16F-75FA-363F-8D98-7A9C3FA90A0D> /usr/lib/libbsm.0.dylib 0x7fff8d7d4000 - 0x7fff8d7dfff7 libc++abi.dylib (14.0.0 - compatibility 1.0.0) <8FF3D766-D678-36F6-84AC-423C878E6D14> /usr/lib/libc++abi.dylib 0x7fff8d7e0000 - 0x7fff8d7e1ff7 libsystem_blocks.dylib (53.0.0 - compatibility 1.0.0) <8BCA214A-8992-34B2-A8B9-B74DEACA1869> /usr/lib/system/libsystem_blocks.dylib 0x7fff8d7e2000 - 0x7fff8d7e7fff libpam.2.dylib (3.0.0 - compatibility 3.0.0) <D952F17B-200A-3A23-B9B2-7C1F7AC19189> /usr/lib/libpam.2.dylib 0x7fff8d7e8000 - 0x7fff8d94fff7 com.apple.CFNetwork (520.3.2 - 520.3.2) <516B611D-E53E-3467-9211-3C5B86ABA865> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork 0x7fff8d950000 - 0x7fff8da32fff com.apple.CoreServices.OSServices (478.37 - 478.37) <1DAC695E-0D0F-3AE2-974F-A173E69E67CC> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices 0x7fff8da36000 - 0x7fff8da3efff libsystem_dnssd.dylib (??? - ???) <7749128E-D0C5-3832-861C-BC9913F774FA> /usr/lib/system/libsystem_dnssd.dylib 0x7fff8db03000 - 0x7fff8db1afff com.apple.CFOpenDirectory (10.7 - 144) <9709423E-8484-3B26-AAE8-EF58D1B8FB3F> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory 0x7fff8db1b000 - 0x7fff8db1cff7 libremovefile.dylib (21.1.0 - compatibility 1.0.0) <739E6C83-AA52-3C6C-A680-B37FE2888A04> /usr/lib/system/libremovefile.dylib 0x7fff8db78000 - 0x7fff8db8bff7 libCRFSuite.dylib (??? - ???) <034D4DAA-63F0-35E4-BCEF-338DD7A453DD> /usr/lib/libCRFSuite.dylib 0x7fff8db8c000 - 0x7fff8dc81fff libiconv.2.dylib (7.0.0 - compatibility 7.0.0) <5C40E880-0706-378F-B864-3C2BD922D926> /usr/lib/libiconv.2.dylib 0x7fff8dc82000 - 0x7fff8dc82fff com.apple.Accelerate.vecLib (3.7 - vecLib 3.7) <C06A140F-6114-3B8B-B080-E509303145B8> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib 0x7fff8dc83000 - 0x7fff8dd9cfff com.apple.DesktopServices (1.6.2 - 1.6.2) <6B83172E-F539-3AF8-A76D-1F9EA357B076> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv 0x7fff8dd9d000 - 0x7fff8dd9dfff com.apple.audio.units.AudioUnit (1.7.2 - 1.7.2) <04C10813-CCE5-3333-8C72-E8E35E417B3B> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit 0x7fff8dda6000 - 0x7fff8ddbbfff com.apple.speech.synthesis.framework (4.0.74 - 4.0.74) <C061ECBB-7061-3A43-8A18-90633F943295> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis 0x7fff8ddbc000 - 0x7fff8dde9fe7 libSystem.B.dylib (159.1.0 - compatibility 1.0.0) <095FDD3C-3961-3865-A59B-A5B0A4B8B923> /usr/lib/libSystem.B.dylib 0x7fff8ddea000 - 0x7fff8de07fff libxpc.dylib (77.18.0 - compatibility 1.0.0) <26C05F31-E809-3B47-AF42-1460971E3AC3> /usr/lib/system/libxpc.dylib 0x7fff8de08000 - 0x7fff8de16fff libdispatch.dylib (187.7.0 - compatibility 1.0.0) <712AAEAC-AD90-37F7-B71F-293FF8AE8723> /usr/lib/system/libdispatch.dylib 0x7fff8de55000 - 0x7fff8de57ff7 com.apple.print.framework.Print (7.1 - 247.1) <8A4925A5-BAA3-373C-9B5D-03E0270C6B12> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print 0x7fff8de58000 - 0x7fff8deb3ff7 com.apple.HIServices (1.11 - ???) <DE8FA7FA-0A41-35D9-8473-5104F81DA934> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices 0x7fff8deb4000 - 0x7fff8df54fff com.apple.LaunchServices (480.27.1 - 480.27.1) <4DC96C1E-6FDE-305E-9718-E4C5C1341F56> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices 0x7fff8df55000 - 0x7fff8df63ff7 libkxld.dylib (??? - ???) <65BE345D-6618-3D1A-9E2B-255E629646AA> /usr/lib/system/libkxld.dylib 0x7fff8e0cb000 - 0x7fff8e0cbfff com.apple.ApplicationServices (41 - 41) <03F3FA8F-8D2A-3AB6-A8E3-40B001116339> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices 0x7fff8e847000 - 0x7fff8e84cfff com.apple.OpenDirectory (10.7 - 146) <91A87249-6A2F-3F89-A8DE-0E95C0B54A3A> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory 0x7fff8e84d000 - 0x7fff8e880ff7 com.apple.GSS (2.1 - 2.0) <57AD81CE-6320-38C9-9B66-0E5A4DEA898A> /System/Library/Frameworks/GSS.framework/Versions/A/GSS 0x7fff8e881000 - 0x7fff8e88cff7 com.apple.speech.recognition.framework (4.0.19 - 4.0.19) <7ADAAF5B-1D78-32F2-9FFF-D2E3FBB41C2B> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition 0x7fff8e88d000 - 0x7fff8e890ff7 com.apple.securityhi (4.0 - 1) <B37B8946-BBD4-36C1-ABC6-18EDBC573F03> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI 0x7fff8e891000 - 0x7fff8e896ff7 libsystem_network.dylib (??? - ???) <5DE7024E-1D2D-34A2-80F4-08326331A75B> /usr/lib/system/libsystem_network.dylib 0x7fff8eab3000 - 0x7fff8ead3fff libsystem_kernel.dylib (1699.22.73 - compatibility 1.0.0) <69F2F501-72D8-3B3B-8357-F4418B3E1348> /usr/lib/system/libsystem_kernel.dylib 0x7fff8ead4000 - 0x7fff8ebe0fff libcrypto.0.9.8.dylib (44.0.0 - compatibility 0.9.8) <3A8E1F89-5E26-3C8B-B538-81F5D61DBF8A> /usr/lib/libcrypto.0.9.8.dylib 0x7fff8ebe1000 - 0x7fff8ec77ff7 libvMisc.dylib (325.4.0 - compatibility 1.0.0) <642D8D54-F9F5-3FBB-A96C-EEFE94C6278B> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib 0x7fff8ec78000 - 0x7fff8ed85fff libJP2.dylib (??? - ???) <F2B34A61-75F0-3BFE-A309-EE0DF4AF9E37> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib 0x7fff8ed87000 - 0x7fff8f36bfff libBLAS.dylib (??? - ???) <C34F6D88-187F-33DC-8A68-C0C9D1FA36DF> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib 0x7fff8f3c4000 - 0x7fff8f407ff7 libRIP.A.dylib (600.0.0 - compatibility 64.0.0) <85D00F5C-43ED-33A9-80B4-72EB0EAE3E25> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib 0x7fff8f416000 - 0x7fff8f49bff7 com.apple.Heimdal (2.1 - 2.0) <3758B442-6175-32B8-8C17-D8ABDD589BF9> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal 0x7fff8f49c000 - 0x7fff8f49dfff liblangid.dylib (??? - ???) <CACBE3C3-2F7B-3EED-B50E-EDB73F473B77> /usr/lib/liblangid.dylib 0x7fff8f6c8000 - 0x7fff8f6cdfff libcache.dylib (47.0.0 - compatibility 1.0.0) <B7757E2E-5A7D-362E-AB71-785FE79E1527> /usr/lib/system/libcache.dylib 0x7fff8f6d9000 - 0x7fff8f718fff com.apple.AE (527.7 - 527.7) <B82F7ABC-AC8B-3507-B029-969DD5CA813D> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE 0x7fff8f930000 - 0x7fff8f96bfff libsystem_info.dylib (??? - ???) <35F90252-2AE1-32C5-8D34-782C614D9639> /usr/lib/system/libsystem_info.dylib 0x7fff8f96c000 - 0x7fff8f96dfff libunc.dylib (24.0.0 - compatibility 1.0.0) <C67B3B14-866C-314F-87FF-8025BEC2CAAC> /usr/lib/system/libunc.dylib 0x7fff8f96e000 - 0x7fff8f982ff7 com.apple.LangAnalysis (1.7.0 - 1.7.0) <04C31EF0-912A-3004-A08F-CEC27030E0B2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis 0x7fff8f983000 - 0x7fff8fc9fff7 com.apple.CoreServices.CarbonCore (960.20 - 960.20) <C45CA09E-8867-3D67-BB2E-48D2E6B0D78C> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore 0x7fff8fca0000 - 0x7fff8fca1fff libDiagnosticMessagesClient.dylib (??? - ???) <3DCF577B-F126-302B-BCE2-4DB9A95B8598> /usr/lib/libDiagnosticMessagesClient.dylib 0x7fff8fca8000 - 0x7fff8fd1efff com.apple.CoreSymbolication (2.2 - 73.2) <126415E3-3A35-315B-B4B7-507CDBED0D58> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication 0x7fff8fd1f000 - 0x7fff8fd4fff7 com.apple.DictionaryServices (1.2.1 - 158.2) <3FC86118-7553-38F7-8916-B329D2E94476> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices 0x7fff8fd50000 - 0x7fff8fd5efff com.apple.NetAuth (1.0 - 3.0) <F384FFFD-70F6-3B1C-A886-F5B446E456E7> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth 0x7fff8ffad000 - 0x7fff8ffbaff7 libbz2.1.0.dylib (1.0.5 - compatibility 1.0.0) <8EDE3492-D916-37B2-A066-3E0F054411FD> /usr/lib/libbz2.1.0.dylib 0x7fff90770000 - 0x7fff90794fff com.apple.Kerberos (1.0 - 1) <1F826BCE-DA8F-381D-9C4C-A36AA0EA1CB9> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos 0x7fff90c7a000 - 0x7fff90d1cff7 com.apple.securityfoundation (5.0 - 55107) <6C2E7362-CB11-3CBD-BB1C-348E4B10F25A> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation 0x7fff90d1d000 - 0x7fff91047ff7 com.apple.HIToolbox (1.8 - ???) <D6A0D513-4893-35B4-9FFE-865FF419F2C2> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox 0x7fff91048000 - 0x7fff9105ffff com.apple.MultitouchSupport.framework (220.62.1 - 220.62.1) <F21C79C0-4B5A-3645-81A6-74F8EFA900CE> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport 0x7fff910ee000 - 0x7fff91150ff7 com.apple.Symbolication (1.3 - 91) <B072970E-9EC1-3495-A1FA-D344C6E74A13> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication 0x7fff91151000 - 0x7fff9119dff7 com.apple.SystemConfiguration (1.11.2 - 1.11) <A14F3583-9CC0-397D-A50E-17217075953F> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration 0x7fff9119e000 - 0x7fff911c6ff7 com.apple.CoreVideo (1.7 - 70.1) <98F917B2-FB53-3EA3-B548-7E97B38309A7> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo 0x7fff911c7000 - 0x7fff9143afff com.apple.CoreImage (7.93 - 1.0.1) <0B7D855E-A2B6-3C14-A242-2CF2165C6E7E> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/CoreImage.framework/Versions/A/CoreImage 0x7fff9143b000 - 0x7fff91461ff7 com.apple.framework.familycontrols (3.0 - 300) <DC06CF3A-2F10-3867-9498-CADAE30D0CE4> /System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls 0x7fff91462000 - 0x7fff914ccff7 com.apple.framework.IOKit (2.0 - ???) <EEEB42FD-E3E1-3A94-A771-B1993B694F17> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit 0x7fff914cd000 - 0x7fff914d7ff7 liblaunch.dylib (392.18.0 - compatibility 1.0.0) <39EF04F2-7F0C-3435-B785-BF283727FFBD> /usr/lib/system/liblaunch.dylib 0x7fff91510000 - 0x7fff915f4e5f libobjc.A.dylib (228.0.0 - compatibility 1.0.0) <871E688B-CF57-3BC7-80D6-F6476DFF109B> /usr/lib/libobjc.A.dylib 0x7fff915fa000 - 0x7fff91600fff com.apple.DiskArbitration (2.4.1 - 2.4.1) <CEA34337-63DE-302E-81AA-10D717E1F699> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration 0x7fff9161a000 - 0x7fff9165cff7 libcommonCrypto.dylib (55010.0.0 - compatibility 1.0.0) <A5B9778E-11C3-3F61-B740-1F2114E967FB> /usr/lib/system/libcommonCrypto.dylib 0x7fff916f5000 - 0x7fff91720ff7 com.apple.CoreServicesInternal (113.12 - 113.12) <C37DAC1A-35D2-30EC-9112-5EEECED5C461> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal 0x7fff91891000 - 0x7fff918a1ff7 com.apple.opengl (1.7.6 - 1.7.6) <C168883D-9BC5-3C38-9937-42852D719718> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL 0x7fff918a2000 - 0x7fff91917ff7 libc++.1.dylib (19.0.0 - compatibility 1.0.0) <C0EFFF1B-0FEB-3F99-BE54-506B35B555A9> /usr/lib/libc++.1.dylib 0x7fff9199d000 - 0x7fff919c6fff libJPEG.dylib (??? - ???) <64D079F9-256A-323B-A837-84628B172F21> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib 0x7fff919da000 - 0x7fff91aa1ff7 com.apple.ColorSync (4.7.1 - 4.7.1) <EA74B067-9916-341A-9C68-6165A4656042> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync 0x7fff91b17000 - 0x7fff91b37fff libPng.dylib (??? - ???) <F4D84592-C450-3076-88E9-8E6517C7EF33> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib 0x7fff91b38000 - 0x7fff91b77ff7 libGLImage.dylib (??? - ???) <348729DC-BC44-3744-B249-9DFA6498344A> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib 0x7fff91b78000 - 0x7fff91b8efff libGL.dylib (??? - ???) <6A473BF9-4D35-34C6-9F8B-86B68091A9AF> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib 0x7fff91b8f000 - 0x7fff91bfffff com.apple.datadetectorscore (3.0 - 179.4) <B4C6417F-296C-31C1-BB94-980BFCDC9175> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore 0x7fff91c00000 - 0x7fff91c1ffff libresolv.9.dylib (46.1.0 - compatibility 1.0.0) <0635C52D-DD53-3721-A488-4C6E95607A74> /usr/lib/libresolv.9.dylib 0x7fff91c20000 - 0x7fff91c20fff com.apple.vecLib (3.7 - vecLib 3.7) <9A58105C-B36E-35B5-812C-4ED693F2618F> /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib 0x7fff91c21000 - 0x7fff91d28fe7 libsqlite3.dylib (9.6.0 - compatibility 9.0.0) <EE02BB01-64C9-304D-9719-A35F5CD6D04C> /usr/lib/libsqlite3.dylib 0x7fff91eab000 - 0x7fff91fadff7 libxml2.2.dylib (10.3.0 - compatibility 10.0.0) <D46F371D-6422-31B7-BCE0-D80713069E0E> /usr/lib/libxml2.2.dylib 0x7fff91fc1000 - 0x7fff91fc6fff libcompiler_rt.dylib (6.0.0 - compatibility 1.0.0) <98ECD5F6-E85C-32A5-98CD-8911230CB66A> /usr/lib/system/libcompiler_rt.dylib 0x7fff91fc7000 - 0x7fff91fd2fff com.apple.CommonAuth (2.1 - 2.0) <272CB600-6DA8-3952-97C0-5DC594DCA024> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth 0x7fff922fb000 - 0x7fff92326ff7 libxslt.1.dylib (3.24.0 - compatibility 3.0.0) <8051A3FC-7385-3EA9-9634-78FC616C3E94> /usr/lib/libxslt.1.dylib 0x7fff923c1000 - 0x7fff92465fef com.apple.ink.framework (1.3.2 - 110) <F69DBD44-FEC8-3C14-8131-CC0245DBBD42> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink 0x7fff9246a000 - 0x7fff9306efff com.apple.AppKit (6.7.3 - 1138.32) <A9EB81C6-C519-3F29-89F1-42C3E8930281> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit 0x7fff93780000 - 0x7fff937c0ff7 libcups.2.dylib (2.9.0 - compatibility 2.0.0) <29DE948E-38C4-3CC5-B528-40C691380607> /usr/lib/libcups.2.dylib 0x7fff937c1000 - 0x7fff937d7ff7 com.apple.ImageCapture (7.0 - 7.0) <69E6E2E1-777E-332E-8BCF-4F0611517DD0> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture 0x7fff937d8000 - 0x7fff937dcfff libdyld.dylib (195.5.0 - compatibility 1.0.0) <F1903B7A-D3FF-3390-909A-B24E09BAD1A5> /usr/lib/system/libdyld.dylib 0x7fff937f8000 - 0x7fff937fcfff libmathCommon.A.dylib (2026.0.0 - compatibility 1.0.0) <FF83AFF7-42B2-306E-90AF-D539C51A4542> /usr/lib/system/libmathCommon.A.dylib 0x7fff9389b000 - 0x7fff9389efff libCoreVMClient.dylib (??? - ???) <E034C772-4263-3F48-B083-25A758DD6228> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib 0x7fff9389f000 - 0x7fff938f7fff libTIFF.dylib (??? - ???) <DD797FBE-9B63-3785-A9EA-0321D113538B> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib 0x7fff938f8000 - 0x7fff93958fff libvDSP.dylib (325.4.0 - compatibility 1.0.0) <3A7521E6-5510-3FA7-AB65-79693A7A5839> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib 0x7fff93959000 - 0x7fff93975ff7 com.apple.GenerationalStorage (1.0 - 126.1) <509F52ED-E54B-3FEF-B3C2-759387B826E6> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage 0x7fff94cc9000 - 0x7fff94d44ff7 com.apple.print.framework.PrintCore (7.1 - 366.1) <3F140DEB-9F87-3672-97CC-F983752581AC> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore 0x7fff94d45000 - 0x7fff94d4cff7 com.apple.CommerceCore (1.0 - 17) <AA783B87-48D4-3CA6-8FF6-0316396022F4> /System/Library/PrivateFrameworks/CommerceKit.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/CommerceCore 0x7fff95455000 - 0x7fff954a9ff7 com.apple.ScalableUserInterface (1.0 - 1) <1873D7BE-2272-31A1-8F85-F70C4D706B3B> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/ScalableUserInterface.framework/Versions/A/ScalableUserInterface 0x7fff954aa000 - 0x7fff954b0ff7 libunwind.dylib (30.0.0 - compatibility 1.0.0) <1E9C6C8C-CBE8-3F4B-A5B5-E03E3AB53231> /usr/lib/system/libunwind.dylib 0x7fff95625000 - 0x7fff9562eff7 libsystem_notify.dylib (80.1.0 - compatibility 1.0.0) <A4D651E3-D1C6-3934-AD49-7A104FD14596> /usr/lib/system/libsystem_notify.dylib 0x7fff9562f000 - 0x7fff956c9ff7 com.apple.SearchKit (1.4.0 - 1.4.0) <4E70C394-773E-3A4B-A93C-59A88ABA9509> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit 0x7fff95709000 - 0x7fff9570efff libGIF.dylib (??? - ???) <393E2DB5-9479-39A6-A75A-B5F20B852532> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib 0x7fff9639e000 - 0x7fff96680fff com.apple.security (7.0 - 55110) <252F9E04-FF8A-3EA7-A38E-51DD0653663C> /System/Library/Frameworks/Security.framework/Versions/A/Security 0x7fff96681000 - 0x7fff96685fff libCGXType.A.dylib (600.0.0 - compatibility 64.0.0) <37517279-C92E-3217-B49A-838198B48787> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib 0x7fff966d5000 - 0x7fff966dcfff com.apple.NetFS (4.0 - 4.0) <B9F41443-679A-31AD-B0EB-36557DAF782B> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS 0x7fff966dd000 - 0x7fff967bbfff com.apple.ImageIO.framework (3.1.1 - 3.1.1) <DB530A63-8ECF-3B53-AC9A-1692A5397E2F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO 0x7fff968f6000 - 0x7fff968f8fff libquarantine.dylib (36.2.0 - compatibility 1.0.0) <48656562-FF20-3B55-9F93-407ACA7341C0> /usr/lib/system/libquarantine.dylib 0x7fff96901000 - 0x7fff96b29fe7 com.apple.CoreData (104.1 - 358.13) <F1DA3110-C4DF-3F0A-A057-AEE78DE8C99D> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData 0x7fff96b2a000 - 0x7fff974ba7a7 com.apple.CoreGraphics (1.600.0 - ???) <177D9BAD-72C9-3ADF-A391-5B88C5EE623F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics 0x7fff974bb000 - 0x7fff974fcfff com.apple.QD (3.40 - ???) <47674D2C-BE88-388E-B1B0-03F08BFFE5FD> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD 0x7fff974fd000 - 0x7fff97563ff7 com.apple.coreui (1.2.1 - 165.3) <378C9221-ADE6-36D9-9944-F33AE6904E4F> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI 0x7fff97564000 - 0x7fff97564fff com.apple.Cocoa (6.6 - ???) <021D4214-9C23-3CD8-AFB2-F331697A4508> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa 0x7fff97565000 - 0x7fff975e9ff7 com.apple.ApplicationServices.ATS (317.5.0 - ???) <C2B254F0-6ED8-3313-9CFC-9ACD519C8A9E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS 0x7fff975ea000 - 0x7fff97652ff7 com.apple.audio.CoreAudio (4.0.2 - 4.0.2) <DFD8F4DE-3B45-3A2E-9CBE-FD8D5DD30923> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio 0x7fff9773f000 - 0x7fff97763fff com.apple.RemoteViewServices (1.3 - 44) <21D7A0E7-6699-37AB-AE6C-BF69AF3D61C2> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices 0x7fff97764000 - 0x7fff97b91fff libLAPACK.dylib (??? - ???) <4F2E1055-2207-340B-BB45-E4F16171EE0D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib 0x7fff97d83000 - 0x7fff97e60fef libsystem_c.dylib (763.12.0 - compatibility 1.0.0) <FF69F06E-0904-3C08-A5EF-536FAFFFDC22> /usr/lib/system/libsystem_c.dylib 0x7fff97e61000 - 0x7fff97e63fff com.apple.TrustEvaluationAgent (2.0 - 1) <1F31CAFF-C1C6-33D3-94E9-11B721761DDF> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent 0x7fff97e64000 - 0x7fff97e64fff com.apple.Accelerate (1.7 - Accelerate 1.7) <82DDF6F5-FBC3-323D-B71D-CF7ABC5CF568> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate 0x7fff97e65000 - 0x7fff97e92ff7 com.apple.opencl (1.50.69 - 1.50.69) <687265AF-E9B6-3537-89D7-7C12EB38193D> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL 0x7fff97ec3000 - 0x7fff97ec4fff libdnsinfo.dylib (395.6.0 - compatibility 1.0.0) <718A135F-6349-354A-85D5-430B128EFD57> /usr/lib/system/libdnsinfo.dylib 0x7fff97ec5000 - 0x7fff98327ff7 com.apple.RawCamera.bundle (3.9.1 - 586) <1AA853F4-E429-33E3-B4A9-6B019CCCC5E4> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera 0x7fff98328000 - 0x7fff9832cff7 com.apple.CommonPanels (1.2.5 - 94) <0BB2C436-C9D5-380B-86B5-E355A7711259> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels 0x7fff9832d000 - 0x7fff98354fff com.apple.PerformanceAnalysis (1.10 - 10) <2A058167-292E-3C3A-B1F8-49813336E068> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis 0x7fff9841d000 - 0x7fff9842cff7 libxar-nossl.dylib (??? - ???) <A6ABBFB9-E4ED-38AD-BBBB-F9958B9CEFB5> /usr/lib/libxar-nossl.dylib 0x7fff9869e000 - 0x7fff986a1fff libRadiance.dylib (??? - ???) <CD89D70D-F177-3BAE-8A26-644EA7D5E28E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib 0x7fff986a2000 - 0x7fff986a2fff com.apple.Carbon (153 - 153) <895C2BF2-1666-3A59-A669-311B1F4F368B> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon 0x7fff98709000 - 0x7fff9870aff7 libsystem_sandbox.dylib (??? - ???) <5087ADAD-D34D-3844-9D04-AFF93CED3D92> /usr/lib/system/libsystem_sandbox.dylib 0x7fff9870b000 - 0x7fff9875dff7 libGLU.dylib (??? - ???) <3C9153A0-8499-3DC0-AAA4-9FA6E488BE13> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib 0x7fff9875e000 - 0x7fff98960fff libicucore.A.dylib (46.1.0 - compatibility 1.0.0) <38CD6ED3-C8E4-3CCD-89AC-9C3198803101> /usr/lib/libicucore.A.dylib 0x7fff98961000 - 0x7fff98a66fff libFontParser.dylib (??? - ???) <0920DA16-2066-33E6-BF95-AD4B0F3C22B0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib 0x7fff98a6c000 - 0x7fff98aa6fe7 com.apple.DebugSymbols (2.1 - 87) <ED2B177C-4146-3715-91DF-D99A8ED5449A> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols 0x7fff98bd4000 - 0x7fff98d73fff com.apple.QuartzCore (1.7 - 270.2) <F2CCDEFB-DE43-3E32-B242-A22C82617186> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore 0x7fff98e28000 - 0x7fff98e2efff IOSurface (??? - ???) <06FA3FDD-E6D5-391F-B60D-E98B169DAB1B> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface 0x7fff98e2f000 - 0x7fff98eb2fef com.apple.Metadata (10.7.0 - 627.28) <1C14033A-69C9-3757-B24D-5583AEAC2CBA> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata 0x7fff98eb3000 - 0x7fff98ec5ff7 libz.1.dylib (1.2.5 - compatibility 1.0.0) <30CBEF15-4978-3DED-8629-7109880A19D4> /usr/lib/libz.1.dylib 0x7fff98f09000 - 0x7fff98f0cfff com.apple.help (1.3.2 - 42) <AB67588E-7227-3993-927F-C9E6DAC507FD> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help 0x7fff98f0d000 - 0x7fff993d4fff FaceCoreLight (1.4.7 - compatibility 1.0.0) <E9D2A69C-6E81-358C-A162-510969F91490> /System/Library/PrivateFrameworks/FaceCoreLight.framework/Versions/A/FaceCoreLight 0x7fff9942a000 - 0x7fff99447ff7 com.apple.openscripting (1.3.3 - ???) <A64205E6-D3C5-3E12-B1A0-72243151AF7D> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting

External Modification Summary:

Calls made by other processes targeting this process:

task_for_pid: 2 thread_create: 0 thread_set_state: 0

Calls made by this process:

task_for_pid: 0 thread_create: 0 thread_set_state: 0

Calls made by all processes on this machine:

task_for_pid: 4044 thread_create: 0 thread_set_state: 0

VM Region Summary: ReadOnly portion of Libraries: Total=156.1M resident=226.7M(145%) swapped_out_or_unallocated=16777216.0T(11266604138496%) Writable regions: Total=86.2M written=12.3M(14%) resident=24.9M(29%) swapped_out=0K(0%) unallocated=61.3M(71%) REGION TYPE VIRTUAL =========== ======= CG backing stores 6788K CG image 4K CG raster data 64K CG shared images 3504K CoreGraphics 16K CoreServices 1592K MALLOC 49.1M MALLOC guard page 48K MALLOC_LARGE (reserved) 188K reserved VM address space (unallocated) Mach message 8K Memory tag=242 12K Memory tag=243 4K STACK GUARD 56.0M Stack 11.6M VM_ALLOCATE 16.9M CI_BITMAP 80K DATA 13.3M IMAGE 528K LINKEDIT 48.8M RC_CAMERAS 232K TEXT 107.3M UNICODE 544K mapped file 40.3M shared memory 308K =========== ======= TOTAL 357.0M TOTAL, minus reserved VM space 356.8M

Model: iMac12,2, BootROM IM121.0047.B1F, 4 processors, Intel Core i5, 2.7 GHz, 16 GB, SMC 1.72f2 Graphics: AMD Radeon HD 6770M, AMD Radeon HD 6770M, PCIe, 512 MB Memory Module: BANK 0/DIMM0, 4 GB, DDR3, 1333 MHz, 0x859B, 0x435435313236344243313333392E4D313646 Memory Module: BANK 1/DIMM0, 4 GB, DDR3, 1333 MHz, 0x859B, 0x435435313236344243313333392E4D313646 Memory Module: BANK 0/DIMM1, 4 GB, DDR3, 1333 MHz, 0x859B, 0x435435313236344243313333392E4D313646 Memory Module: BANK 1/DIMM1, 4 GB, DDR3, 1333 MHz, 0x859B, 0x435435313236344243313333392E4D313646 AirPort: spairport_wireless_card_type_airport_extreme (0x168C, 0x9A), Atheros 9380: 4.0.61.5-P2P Bluetooth: Version 4.0.3f12, 2 service, 18 devices, 1 incoming serial ports Network Service: Ethernet, Ethernet, en0 Serial ATA Device: WDC WD1001FALS-403AA0, 1 TB Serial ATA Device: OPTIARC DVD RW AD-5690H USB Device: FaceTime HD Camera (Built-in), apple_vendor_id, 0x850b, 0xfa200000 / 3 USB Device: hub_device, 0x0424 (SMSC), 0x2514, 0xfa100000 / 2 USB Device: BRCM2046 Hub, 0x0a5c (Broadcom Corp.), 0x4500, 0xfa110000 / 4 USB Device: Bluetooth USB Host Controller, apple_vendor_id, 0x8215, 0xfa111000 / 7 USB Device: hub_device, 0x0424 (SMSC), 0x2514, 0xfd100000 / 2 USB Device: Internal Memory Card Reader, apple_vendor_id, 0x8403, 0xfd110000 / 4 USB Device: IR Receiver, apple_vendor_id, 0x8242, 0xfd120000 / 3

comment:39 follow-up: ↓ 40 Changed 2 years ago by elatllat@…

  • Cc elatllat@… added

Cc Me!

comment:40 in reply to: ↑ 39 ; follow-up: ↓ 41 Changed 2 years ago by elatllat@…

solution: sudo port selfupdate; sudo port upgrade outdated; sudo port install xorg-server; sudo port install gimp2;

manually run /Applications/MacPorts/X11.app Applications->Terminal->gimp

(someone else will have to close this for me)

comment:41 in reply to: ↑ 40 Changed 2 years ago by macports@…

For the benefit of the ticket (and commenter who it seems overlooked the requirement for this step):

Replying to elatllat@…:

solution: [....] manually run /Applications/MacPorts/X11.app Applications->Terminal->gimp

By default the X server that came with OS X is the one that is auto-launched when you run an X application, until you log out and then log in again (or reboot), after which (by default) the xorg-server X server defaults to being the one that is auto-launched. From what you said this is the issue you encountered. You can tell which X server is running fairly easily by going to the X11--About X11 item in the menu. If you see "XQuartz 2.7.2 (xorg-server 1.12.0)" then the MacPorts one is running; if you see something else then the one shipped with OS X is probably running. If it's something else, and still crashes, you probably want to try harder to ensure the "xorg-server 1.12.0" one is started before testing again.

There are ways to skip the need to log out/log in again (but still have xorg-server 1.12.0 auto-launched), and ways to continue running the OS X shipped X server by default -- and only run the MacPorts one manually as you have -- but I don't remember the detail off hand. Other than issues exiting the xorg-server(-devel) application completely at times -- sometimes older versions seemed to get into a tight memory leaking loop -- I don't remember any other issues with running all my X applications under it. Plus avoiding gtk+ warnings about missing extensions is nice.

Ewen (who can't re-close the ticket either)

comment:42 Changed 2 years ago by jeremyhu@…

  • Status changed from reopened to closed
  • Resolution set to fixed

The "default" X11 server is whichever has its $DISPLAY set which is whichever one has its LaunchAgent loaded.

comment:43 Changed 2 years ago by and.damore@…

  • Cc and.damore@… added

Cc Me!

Note: See TracTickets for help on using tickets.